<?php

require("core.php");

if (!isset($maj_req_entry) or empty($maj_req_entry)) {
	exit();
}

if (!isset($maj_req_show) or empty($maj_req_show)) {
	exit();
}

if (!file_exists("images/$maj_req_entry/album/$maj_req_show")) {
	exit();
}

if (isset($maj_logged_in_username) and ($maj_logged_in_username == $maj_admin_username) and isset($_POST['edit']) and ($_POST['edit'] == "delete")) {

	unlink("images/$maj_req_entry/album/$maj_req_show");

	if (file_exists("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt")) {
		unlink("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt");
	}

	if (file_exists("data/items/$maj_req_entry/album/views/{$maj_req_show}.txt")) {
		unlink("data/items/$maj_req_entry/album/views/{$maj_req_show}.txt");
	}

	if (count(glob("images/$maj_req_entry/album/*")) < 1) {
		header("Location: index.php?entry=$maj_req_entry");
	}
	else {
		if (!empty($_REQUEST['next'])) {
			header("Location: album.php?entry=$maj_req_entry&show={$_REQUEST['next']}");
		}
		else {
			if (!empty($_REQUEST['prev'])) {
				header("Location: album.php?entry=$maj_req_entry&show={$_REQUEST['prev']}");
			}
		}		
	}
}

if (isset($_POST['filename']) and !empty($_POST['filename']) and isset($maj_logged_in_username) and ($maj_logged_in_username == $maj_admin_username) and isset($_POST['edit']) and ($_POST['edit'] == "rename") and !file_exists("images/$maj_req_entry/album/{$_POST['filename']}")) {

	$filename = strip_tags($_POST['filename']);
	$filename = mb_strtolower($_POST['filename']);
	$filename = str_replace(" ","_",$filename);
	$filename = trim($filename);

	rename("images/$maj_req_entry/album/$maj_req_show","images/$maj_req_entry/album/$filename");

	if (file_exists("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt")) {
		rename("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt","data/items/$maj_req_entry/album/captions/{$filename}.txt");
	}

	if (file_exists("data/items/$maj_req_entry/album/views/{$maj_req_show}.txt")) {
		rename("data/items/$maj_req_entry/album/views/{$maj_req_show}.txt","data/items/$maj_req_entry/album/views/{$filename}.txt");
	}
	
	header("Location: album.php?entry=$maj_req_entry&show=$filename");
}

if ((!isset($_POST['caption']) or empty($_POST['caption'])) and isset($maj_logged_in_username) and ($maj_logged_in_username == $maj_admin_username) and isset($_POST['edit']) and ($_POST['edit'] == "caption")) {

	if (file_exists("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt")) {
		unlink("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt");
	}
}

if (isset($_POST['caption']) and !empty($_POST['caption']) and isset($maj_logged_in_username) and ($maj_logged_in_username == $maj_admin_username) and isset($_POST['edit']) and ($_POST['edit'] == "caption")) {
	$caption_put = ucfirst($_POST['caption']);
	$caption_put = str_replace(':((', '<img src="images/smileys/crying.png" border="0">', $caption_put);
	$caption_put = str_replace(':(', '<img src="images/smileys/frown.png" border="0">', $caption_put);
	$caption_put = str_replace(':|', '<img src="images/smileys/indifferent.png" border="0">', $caption_put);
	$caption_put = str_replace(':D', '<img src="images/smileys/laughing.png" border="0">', $caption_put);
	$caption_put = str_replace(':P', '<img src="images/smileys/lick.png" border="0">', $caption_put);
	$caption_put = str_replace(':O', '<img src="images/smileys/ohno.png" border="0">', $caption_put);
	$caption_put = str_replace(':)', '<img src="images/smileys/smile.png" border="0">', $caption_put);
	$caption_put = str_replace('=)', '<img src="images/smileys/surprised.png" border="0">', $caption_put);
	$caption_put = str_replace(':\\', '<img src="images/smileys/undecided.png" border="0">', $caption_put);
	$caption_put = str_replace(';)', '<img src="images/smileys/wink.png" border="0">', $caption_put);
	$caption_put = str_replace('[code]', '<code>', $caption_put);
	$caption_put = str_replace('[/code]', '</code>', $caption_put);
	$caption_put = str_replace("\n", '<br />', $caption_put);
	$caption_put = str_replace('[b]', '<b>', $caption_put);
	$caption_put = str_replace('[/b]', '</b>', $caption_put);
	$caption_put = str_replace('[i]', '<i>', $caption_put);
	$caption_put = str_replace('[/i]', '</i>', $caption_put);
	$caption_put = str_replace('[u]', '<u>', $caption_put);
	$caption_put = str_replace('[/u]', '</u>', $caption_put);
	$caption_put = str_replace('[strike]', '<strike>', $caption_put);
	$caption_put = str_replace('[/strike]', '</strike>', $caption_put);
	$caption_put = str_replace('[sup]', '<sup>', $caption_put);
	$caption_put = str_replace('[/sup]', '</sup>', $caption_put);
	$caption_put = str_replace('[sub]', '<sub>', $caption_put);
	$caption_put = str_replace('[/sub]', '</sub>', $caption_put);
	$caption_put = str_replace('[highlight]', '<highlight>', $caption_put);
	$caption_put = str_replace('[/highlight]', '</highlight>', $caption_put);
	$caption_put = str_replace('<highlight>', '<span style="background-color: #ffff00;">', $caption_put);
	$caption_put = str_replace('</highlight>', '</span>', $caption_put);

	if (!file_exists("data/items/$maj_req_entry/album")) {
		mkdir("data/items/$maj_req_entry/album");
	}

	if (!file_exists("data/items/$maj_req_entry/album/captions")) {
		mkdir("data/items/$maj_req_entry/album/captions");
	}

	$open_caption_txt_file = fopen("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt","w");
	fwrite($open_caption_txt_file,$caption_put);
	fclose($open_caption_txt_file);
}

include("css.php");

echo "\n<style>body { margin: {$maj_wspace}px; } .input, .click { width: 100%; }</style>\n";

echo "\n<title>$maj_req_show</title>\n";

if (file_exists("$maj_data_directory/gl.txt")) {
	echo "\n<script type=\"text/javascript\" src=\"https://apis.google.com/js/plusone.js\"></script>\n";
}

if (file_exists("images/$maj_req_entry/album")) {
	if ($dh_album = opendir("images/$maj_req_entry/album")) {
		while (($entry_album = readdir($dh_album)) !== false) {
			if ($entry_album != "." && $entry_album != "..") {
				$sort_album[] = $entry_album;
			}
		}
	closedir($dh_album);
	}

	sort($sort_album);
}

$key_view = array_search($maj_req_show,$sort_album);

$key_prev = $key_view - 1;
$key_next = $key_view + 1;

$show_prev = $sort_album[$key_prev];
$show_next = $sort_album[$key_next];

$count_album_entry = count($sort_album);

$album_image_colspan = 4;

if (file_exists("images/$maj_req_entry/album/$maj_req_show")) {

	if (!file_exists("data/items/$maj_req_entry/album/views")) {
		mkdir("data/items/$maj_req_entry/album/views");
	}

	if (!isset($maj_logged_in_username) or ($maj_logged_in_username != $maj_admin_username)) {
		$fp_image_views_txt = fopen("data/items/$maj_req_entry/album/views/{$maj_req_show}.txt","r");
		$image_views_value = fread($fp_image_views_txt,filesize("data/items/$maj_req_entry/album/views/{$maj_req_show}.txt"));
		fclose($fp_image_views_txt);
		$image_views_value = $image_views_value + 1;
		$fp_image_views_txt = fopen("data/items/$maj_req_entry/album/views/{$maj_req_show}.txt","w");
		fwrite($fp_image_views_txt, $image_views_value);
		fclose($fp_image_views_txt);
	}

	echo "\n<table cellspacing=\"1\" cellpadding=\"2\" border=\"0\"><tr><td valign=\"top\">";

	echo "\n<table cellspacing=\"1\" cellpadding=\"2\" border=\"0\" bgcolor=\"#cccccc\"><tr bgcolor=\"#ffffff\">";

	if ($key_prev >= 0) {

		$album_image_colspan = $album_image_colspan + 1;
	
		echo "<td align=\"left\" width=\"11\"><a href=\"album.php?entry=$maj_req_entry&show=$show_prev\"><img src=\"images/widget.back.png\" border=\"0\" width=\"11\" height=\"11\"></a></td>";
	}

	echo "<td align=\"center\"><b>$maj_req_show</b></td><td align=\"center\">";

	$album_image_size = getimagesize("images/$maj_req_entry/album/$maj_req_show",$album_image_info);
	$album_image_width = $album_image_size[0];
	$album_image_height = $album_image_size[1];

	echo "$album_image_width x $album_image_height pixels";

	$size = filesize("images/$maj_req_entry/album/$maj_req_show");
	$size_string = ($size > 512)?(  ($size/1024 > 512)  ?sprintf("%.02f MB",($size/1024)/1024)  :sprintf("%.02f KB",$size/1024))  :sprintf("%d B",$size);
	echo "</td><td align=\"center\">$size_string</td><td align=\"center\">";

	$album_image_views = file_get_contents("data/items/$maj_req_entry/album/views/{$maj_req_show}.txt");
	echo "$album_image_views view";

	if ($album_image_views > 1) {
		echo "s";
	}

	echo "</td>";

	if ($key_next < $count_album_entry) {

		$album_image_colspan = $album_image_colspan + 1;

		echo "<td align=\"right\" width=\"11\"><a href=\"album.php?entry=$maj_req_entry&show=$show_next\"><img src=\"images/widget.move.png\" border=\"0\" width=\"11\" height=\"11\"></a></td>";
	}

	echo "</tr>";

	echo "<tr bgcolor=\"#ffffff\"><td colspan=\"$album_image_colspan\" align=\"center\">";
	echo "<img src=images/$maj_req_entry/album/$maj_req_show width=$album_image_width height=$album_image_height border=0>";
	echo "</td></tr>";
	if (isset($maj_logged_in_username) and ($maj_logged_in_username == $maj_admin_username)) {
		echo "<form enctype=\"multipart\/form-data\" action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">";
		echo "<input type=hidden name=entry value=$maj_req_entry>";
		echo "<input type=hidden name=show value=$maj_req_show>";
		echo "<input type=hidden name=prev value=$show_prev>";
		echo "<input type=hidden name=next value=$show_next>";
		echo "<input type=hidden name=edit value=delete>";		
		echo "<tr bgcolor=#ffffff><td colspan=\"$album_image_colspan\"><input type=submit class=click value=\"click here to delete image\"></td></tr>";
		echo "</form>";
		echo "<form enctype=\"multipart\/form-data\" action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">";
		echo "<input type=hidden name=entry value=$maj_req_entry>";
		echo "<input type=hidden name=show value=$maj_req_show>";
		echo "<input type=hidden name=edit value=rename>";
		echo "<tr bgcolor=#ffffff><td colspan=\"$album_image_colspan\"><input type=text autocomplete=off class=input name=filename value=$maj_req_show></td></tr>";
		echo "<tr bgcolor=#ffffff><td colspan=\"$album_image_colspan\"><input type=submit class=click value=\"click here to rename image\"></td></tr>";
		echo "</form>";
		echo "<form enctype=\"multipart\/form-data\" action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">";
		echo "<input type=hidden name=entry value=$maj_req_entry>";
		echo "<input type=hidden name=show value=$maj_req_show>";
		echo "<input type=hidden name=edit value=caption>";
		echo "<tr bgcolor=#ffffff><td colspan=\"$album_image_colspan\">";
		echo "<textarea class=input name=caption rows=3 required>";
		if (file_exists("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt")) {
			$caption_get = file_get_contents("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt");
			$caption_get = str_replace('<br />', "\n", $caption_get);
			$caption_get = str_replace('<img src="images/smileys/crying.png" border="0">', ':((', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/frown.png" border="0">', ':(', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/indifferent.png" border="0">', ':|', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/laughing.png" border="0">', ':D', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/lick.png" border="0">', ':P', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/ohno.png" border="0">', ':O', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/smile.png" border="0">', ':)', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/surprised.png" border="0">', '=)', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/undecided.png" border="0">', ':\\', $caption_get);
			$caption_get = str_replace('<img src="images/smileys/wink.png" border="0">', ';)', $caption_get);
			$caption_get = str_replace('<span style="background-color: #ffff00;">', '<highlight>', $caption_get);
			$caption_get = str_replace('</span>', '</highlight>', $caption_get);
			echo $caption_get;
		}
		echo "</textarea>";
		echo "<input type=submit class=click value=\"click here to update caption\">";
		echo "</td></tr></form>";
	}
	if (!isset($maj_logged_in_username) or ($maj_logged_in_username != $maj_admin_username)) {
		if (file_exists("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt")) {
			echo "<tr bgcolor=\"#ffffff\"><td colspan=\"$album_image_colspan\" width=\"$album_image_width\">";
			$caption_get = file_get_contents("data/items/$maj_req_entry/album/captions/{$maj_req_show}.txt");
			echo $caption_get;
			echo "</td></tr>";
		}
	}

	echo "</table>";

	echo "</td><td width=\"10\"></td><td valign=\"top\">";

	//if(isset($album_image_info['APP13'])) {
	//
	//	$album_image_iptc = iptcparse($album_image_info['APP13']);
	//
	//	foreach (array_keys($album_image_iptc) as $album_image_iptc_array) {
	//
	//		$c = count($album_image_iptc[$album_image_iptc_array]);
	//
	//		for ($i=0; $i <$c; $i++) {
	//              	echo $album_image_iptc_array . ' = ' . $album_image_iptc[$album_image_iptc_array][$i] .'<br>';
	//            	}
	//	}
	//}

	$album_image_exif = exif_read_data("images/$maj_req_entry/album/$maj_req_show", 0, true);
	
	foreach ($album_image_exif as $album_image_exif_key => $album_image_exif_section) {
		
		foreach ($album_image_exif_section as $album_image_exif_name => $album_image_exif_value) {
			
			$album_image_exif_value = strip_tags($album_image_exif_value);

			if ((($album_image_exif_key == "EXIF") or ($album_image_exif_key == "IFD0")) and !empty($album_image_exif_value) and ($album_image_exif_name != "MakerNote") and ($album_image_exif_name != "ComponentsConfiguration") and ($album_image_exif_name != "FileSource") and ($album_image_exif_name != "SceneType") and ($album_image_exif_name != "CFAPattern") and !preg_match("/UndefinedTag/",$album_image_exif_name)) {
				echo "<nobr>$album_image_exif_name: $album_image_exif_value</nobr><br>";
			}
		}
	}

	echo "</td></tr></table>";

	if ((file_exists("$maj_data_directory/gl.txt") and file_exists("$maj_data_directory/items/$maj_req_entry/gl.txt")) or (file_exists("data/fb.txt") and file_exists("data/items/$maj_req_entry/fb.txt"))) {

		if (isset($_SERVER['HTTPS'])) {
			$entry_url = "https://" . $_SERVER['HTTP_HOST'] . rtrim(dirname($_SERVER['PHP_SELF']), "/\\") . "/album.php?entry=$maj_req_entry&show=$maj_req_show";
		}
		else {
			$entry_url = "http://" . $_SERVER['HTTP_HOST'] . rtrim(dirname($_SERVER['PHP_SELF']), "/\\") . "/album.php?entry=$maj_req_entry&show=$maj_req_show";
		}
	}

	if (file_exists("$maj_data_directory/gl.txt") and file_exists("$maj_data_directory/items/$maj_req_entry/gl.txt")) {
		echo "<div style=\"margin: 4px;\"><g:plusone size=\"medium\" href=\"$entry_url\"></g:plusone></div>";
	}
	
	
	if (file_exists("data/fb.txt") and file_exists("data/items/$maj_req_entry/fb.txt")) {
		echo "<div style=\"margin: 4px;\"><div id=\"fb-root\"></div><script src=\"http://connect.facebook.net/en_US/all.js#xfbml=1\"></script><fb:like href=\"$entry_url\" send=\"false\" width=\"$album_image_width\" show_faces=\"true\" font=\"\"></fb:like></div>";
	}
	
	echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"2\"><tr><td valign=\"top\" colspan=\"3\">";

	echo "<table cellspacing=1 cellpadding=2 border=0 bgcolor=#cccccc><tr bgcolor=#ffffff><td width=100%><p><b>Album</b></p></td></tr><tr bgcolor=#ffffff><td width=100%>";

	if (file_exists("images/$maj_req_entry/thumbnails")) {
		if ($dh_album = opendir("images/$maj_req_entry/thumbnails")) {
			while (($thumbnail_album = readdir($dh_album)) !== false) {
				if ($thumbnail_album != "." && $thumbnail_album != ".." && fnmatch("*",$thumbnail_album)) {
					$current_thumbnail = "images/$maj_req_entry/thumbnails/$thumbnail_album";
					$parent_image = str_replace("-thumbnail.jpg","",$thumbnail_album);
					$parent_image = "images/$maj_req_entry/album/$parent_image";
					if (file_exists($current_thumbnail) and !file_exists($parent_image)) {
						unlink($current_thumbnail);
					}
				}
			}
		}
	}
	
	if ($count_album_entry < 1) {
		rmdirr("images/$maj_req_entry/album");
		rmdirr("images/$maj_req_entry/thumbnails");				
	}
	else {
		foreach($sort_album as $album_entry) {
			$current_image = "images/$maj_req_entry/album/$album_entry";
			$current_image_size = getimagesize($current_image);
			$current_width = $current_image_size[0];
			$current_height = $current_image_size[1];
			$max_width = 98;
			$max_height = 73;
	
			if (($current_width > $max_width) || ($current_height > $max_height)) {   

				if ($current_height > $current_width) { 
					$sizefactor = (double) ($max_height / $current_height);
				} 
				else {
					$sizefactor = (double) ($max_width / $current_width) ;
				}

				$new_width = (int) ($current_width * $sizefactor);
				$new_height = (int) ($current_height * $sizefactor);
			}
			else {
				$new_width = $current_width;
				$new_height = $current_height;
			}

			if (!file_exists("images/$maj_req_entry/thumbnails/{$album_entry}-thumbnail.jpg")) {
	
				$work_thumb = imagecreatetruecolor($new_width,$new_height);
				$get_mimetype = image_type_to_mime_type(exif_imagetype($current_image));

				switch($get_mimetype) {
					case "image/jpg":
					case "image/jpeg":
						$work_image = imagecreatefromjpeg($current_image);
						break;
					case "image/gif":
						$work_image = imagecreatefromgif($current_image);
						break;
					case "image/png":
						$work_image = imagecreatefrompng($current_image);
						break;
				}
	
				imagecopyresampled($work_thumb,$work_image,0,0,0,0,$new_width,$new_height,$current_width,$current_height);
	
				if (!file_exists("images/$maj_req_entry/thumbnails")) {
					mkdir("images/$maj_req_entry/thumbnails");
				}
	
				imagejpeg($work_thumb,"images/$maj_req_entry/thumbnails/{$album_entry}-thumbnail.jpg",80);

				imagedestroy($work_thumb);
				imagedestroy($work_image);
			}

			echo "<a href=\"album.php?entry=$maj_req_entry&show=$album_entry\">";

			if (!file_exists("images/$maj_req_entry/thumbnails/{$album_entry}-thumbnail.jpg")) {
				echo "<img src=\"images/$maj_req_entry/album/$album_entry\" width=$new_width height=$new_height border=0 hspace=2 vspace=2";
			}
			else {
				echo "<img src=\"images/$maj_req_entry/thumbnails/{$album_entry}-thumbnail.jpg\" width=$new_width height=$new_height border=0 hspace=2 vspace=2";
			}

			if (file_exists("data/items/$maj_req_entry/album/captions/{$album_entry}.txt")) {
				echo ' alt="';
				$img_alt = file_get_contents("data/items/$maj_req_entry/album/captions/{$album_entry}.txt");
				$img_alt = strip_tags($img_alt);
				echo $img_alt;
				echo '"';
			}
			echo "></a>";
		}
	}	

	echo "</td></tr><form method=post action=index.php?entry=$maj_req_entry&show=album><tr bgcolor=#ffffff><td><input class=click type=submit value=\"click here to go to the main entry\"></td></tr></form><form method=post action=index.php><tr bgcolor=#ffffff><td><input class=click type=submit value=\"click here to go to the index page\"></td></tr></form></table>";

	echo "</td></tr></table>";
}

if ($key_prev >= 0) {
	echo "\n\n<script>\n\tvar img_prev = new Image();\n\timg_prev.src = \"images/$maj_req_entry/album/$show_prev\";\n</script>";
}

if ($key_next < $count_album_entry) {
	echo "\n\n<script>\n\tvar img_next = new Image();\n\timg_next.src = \"images/$maj_req_entry/album/$show_next\";\n</script>";
}

?>
