<?php

require("core.php");

session_regenerate_id(TRUE);

if (file_exists("$maj_data_directory/lite.txt")) {
	exit();
}

if (!file_exists("$maj_data_directory/bb.txt")) {
	exit();
}

if (file_exists("$maj_data_directory/bb-min-age.txt")) {
	$minage = file_get_contents("$maj_data_directory/bb-min-age.txt");
}
else {
	$minage = 5;
}

if (file_exists("$maj_data_directory/bb-max-age.txt")) {
	$maxage = file_get_contents("$maj_data_directory/bb-max-age.txt");
}
else {
	$maxage = 125;
}

echo "<title>Options</title>";

include("css.php");

echo "\n<style>body { margin: {$maj_wspace}px; }</style>\n";

if (isset($_REQUEST['username']) and !empty($_REQUEST['username']) and isset($_REQUEST['key']) and !empty($_REQUEST['key'])) {

	$username = $_REQUEST['username'];

	if (file_exists("$maj_data_directory/members/active/$username") and ($_REQUEST['key'] == file_get_contents("$maj_data_directory/members/active/$username/key.txt"))) {
		unlink("$maj_data_directory/members/active/$username/key.txt");
		unlink("$maj_data_directory/members/active/$username/bb-vacation.txt");
		unlink("$maj_data_directory/members/active/$username/email.txt");
		rename("$maj_data_directory/members/active/$username/new-email.txt","$maj_data_directory/members/active/$username/email.txt");
		echo "<font style=\"font-size: 12px;\"><b>Thanks!</b></font>You have successfully verified your new e-mail address.<br>Click <a href=index.php>here</a> to go to the index page.";
	}
	exit();
}

if (!isset($maj_logged_in_username)) {
	exit();
}

if ($maj_logged_in_username == $maj_admin_username) {
	exit();
}

if (!file_exists("$maj_data_directory/members/active/$maj_logged_in_username")) {
	exit();
}

if (isset($_POST['email']) and !empty($_POST['email']) and (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/email.txt") != $_POST['email']) and (mb_ereg("@", $_POST['email'])) and (mb_ereg("\.", $_POST['email']))) {

	$email_write_content = mb_strtolower($_POST['email']);
	$email_write_content = trim($email_write_content);
	$email_write_content = str_replace(" ","",$email_write_content);
	$email_write_content = htmlentities($email_write_content, ENT_QUOTES, 'UTF-8');

	$fp_email_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/new-email.txt","w");
	fwrite($fp_email_txt,$email_write_content);
	fclose($fp_email_txt);

	$key_email = str_rand(40);

	$fp_key_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/key.txt","w");
	fwrite($fp_key_txt,$key_email);
	fclose($fp_key_txt);

	$firstname = file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/firstname.txt");
	$lastname = file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/lastname.txt");

	$old_email = file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/email.txt");

	$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
	$sig_url = str_replace('//', '/', $sig_url);
	$sig_url = "http://" . $sig_url;

	$sig_author = file_get_contents("$maj_data_directory/author.txt");
	$from_email = file_get_contents("$maj_data_directory/email.txt");

	$confirm_change = "Hi $firstname,\n\nWe have received an e-mail address modification request ($old_email to $email_write_content) at $sig_url. To confirm this, simply visit this link:\n\n{$sig_url}options.php?username={$maj_logged_in_username}&key=$key_email\n\nIf you have any questions, send them to $from_email.\n\nThanks!\n\n--\n$sig_author\n$sig_url\n";
	//$confirm_change = wordwrap($confirm_change);

	$email_to = '"' . "$firstname $lastname" . '" <' . $email_write_content . '>';
	$email_from = '"' . $sig_author . '" <' . $from_email . '>';

	mb_send_mail($email_to, "confirm $key_email", $confirm_change,
		"From: $email_from\r\n" . 
		"Reply-To: $email_from\r\n" .
		"X-Mailer: $maj_mailer");

	echo "Confirmation request sent. Check your $email_write_content inbox for details.";
}

if (isset($_POST['tel']) and !empty($_POST['tel']) and (mb_strlen(preg_replace("/[^0-9]/","", $_POST['tel'])) > 6)) {

	$tel = strip_tags($_POST['tel']);
	$tel = htmlentities($tel, ENT_QUOTES, 'UTF-8');
	$tel = trim($tel);

	$tel = preg_replace('/[^0-9+]/i','',$tel);

	if (preg_match("/^\+/",$tel)) {

		$tel = preg_replace('/[^0-9]/i','',$tel);
		$tel = '+' . $tel;
	}
	else {
		$tel = preg_replace('/[^0-9]/i','',$tel);
	}

	$fp_tel_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/tel.txt","w");
	fwrite($fp_tel_txt,$tel);
	fclose($fp_tel_txt);
}

if (isset($_POST['org']) and !empty($_POST['org']) and (strlen($_POST['org']) > 2)) {

	$org = trim(strip_tags($_POST['org']));
	$org = htmlentities($org, ENT_QUOTES, 'UTF-8');
	$org = format_title_put($org);

	$fp_org_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/org.txt","w");
	fwrite($fp_org_txt,$org);
	fclose($fp_org_txt);
}

if ((!isset($_POST['url']) or empty($_POST['url'])) and isset($_POST['edit']) and ($_POST['edit'] == "on")) {
	unlink("$maj_data_directory/members/active/$maj_logged_in_username/url.txt");
}

if (isset($_POST['url']) and !empty($_POST['url']) and (mb_ereg("\.", $_POST['url']))) {

	$url = strip_tags($_POST['url']);
	$url = str_replace('http://', '', $url);
	$url = mb_strtolower($url);
	$url = trim($url);
	$url = 'http://' . $url;
	$url = str_replace(" ","",$url);
	$url = htmlentities($url, ENT_QUOTES, 'UTF-8');

	$fp_url_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/url.txt","w");
	fwrite($fp_url_txt,$url);
	fclose($fp_url_txt);
}

if (isset($_POST['country']) and !empty($_POST['country'])) {

	$country = strip_tags($_POST['country']);
	$country = trim($country);
	$country = mb_strtoupper($country);
	$country = htmlentities($country, ENT_QUOTES, 'UTF-8');

	$fp_country_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/country.txt","w");
	fwrite($fp_country_txt,$country);
	fclose($fp_country_txt);
}

if (isset($_POST['city']) and !empty($_POST['city'])) {

	$city = strip_tags($_POST['city']);
	$city = trim($city);
	$city = ucwords($city);
	$city = htmlentities($city, ENT_QUOTES, 'UTF-8');

	$fp_city_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/city.txt","w");
	fwrite($fp_city_txt,$city);
	fclose($fp_city_txt);
}

if ((!isset($_POST['sig']) or empty($_POST['sig'])) and isset($_POST['edit']) and ($_POST['edit'] == "on")) {
	unlink("$maj_data_directory/members/active/$maj_logged_in_username/sig.txt");
}

if (isset($_POST['sig']) and !empty($_POST['sig'])) {

	$sig = strip_tags($_POST['sig']);
	$sig = str_replace("[b]","<b>",$sig);
	$sig = str_replace("[/b]","</b>",$sig);
	$sig = str_replace("[i]","<i>",$sig);
	$sig = str_replace("[/i]","</i>",$sig);
	$sig = str_replace("[u]","<u>",$sig);
	$sig = str_replace("[/u]","</u>",$sig);
	$sig = str_replace("[sup]","<sup>",$sig);
	$sig = str_replace("[/sup]","</sup>",$sig);
	$sig = str_replace("[sub]","<sub>",$sig);
	$sig = str_replace("[/sub]","</sub>",$sig);
	$sig = str_replace("[strike]","<strike>",$sig);
	$sig = str_replace("[/strike]","</strike>",$sig);
	$sig = str_replace("\n","<br>", $sig);
	$sig = ucfirst($sig);
	$sig = trim($sig);

	$fp_sig_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/sig.txt","w");
	fwrite($fp_sig_txt,$sig);
	fclose($fp_sig_txt);
}

if (isset($_POST['del_avatar']) and !empty($_POST['del_avatar']) and ($_POST['del_avatar'] == "on")) {
	if (file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.gif")) {
		unlink("$maj_image_directory/members/$maj_logged_in_username/avatar.gif");
	}

	if (file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.jpg")) {
		unlink("$maj_image_directory/members/$maj_logged_in_username/avatar.jpg");
	}

	if (file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.png")) {
		unlink("$maj_image_directory/members/$maj_logged_in_username/avatar.png");
	}
}

if (isset($_FILES['avatar']) and !empty($_FILES['avatar'])) {

	if (is_uploaded_file($_FILES['avatar']['tmp_name'])) {

		if ($_FILES['avatar']['size']<=$max_file_size) {

			if (($_FILES['avatar']['type']=="image/gif") || ($_FILES['avatar']['type']=="image/pjpeg") || ($_FILES['avatar']['type']=="image/jpeg") || ($_FILES['avatar']['type']=="image/png")) {

				if (!file_exists("$maj_image_directory/members")) {
					mkdir("$maj_image_directory/members");
				}

				if (!file_exists("$maj_image_directory/members/$maj_logged_in_username")) {
					mkdir("$maj_image_directory/members/$maj_logged_in_username");
				}

				if (file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.gif")) {
					unlink("$maj_image_directory/members/$maj_logged_in_username/avatar.gif");
				}

				if (file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.jpg")) {
					unlink("$maj_image_directory/members/$maj_logged_in_username/avatar.jpg");
				}

				if (file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.png")) {
					unlink("$maj_image_directory/members/$maj_logged_in_username/avatar.png");
				}

				if ($_FILES['avatar']['type']=="image/gif") {
					$res = copy($_FILES['avatar']['tmp_name'], "$maj_image_directory/members/$maj_logged_in_username/avatar.gif");
					unlink($_FILES['avatar']['tmp_name']);
				}

				if (($_FILES['avatar']['type']=="image/jpeg") or ($_FILES['avatar']['type']=="image/pjpeg")) {
					$res = copy($_FILES['avatar']['tmp_name'], "$maj_image_directory/members/$maj_logged_in_username/avatar.jpg");
					unlink($_FILES['avatar']['tmp_name']);
				}

				if ($_FILES['avatar']['type']=="image/png") {
					$res = copy($_FILES['avatar']['tmp_name'], "$maj_image_directory/members/$maj_logged_in_username/avatar.png");
					unlink($_FILES['avatar']['tmp_name']);
				}
			}
			else {
				unlink($_FILES['avatar']['tmp_name']);
			}
		}
		else {
			unlink($_FILES['avatar']['tmp_name']);
		}
	}
	else {
		unlink($_FILES['avatar']['tmp_name']);
	}
}

if (isset($_POST['vacation']) and !empty($_POST['vacation']) and ($_POST['vacation'] == "on") and !file_exists("$maj_data_directory/members/active/$maj_logged_in_username/bb-vacation.txt")) {
	touch("$maj_data_directory/members/active/$maj_logged_in_username/bb-vacation.txt");
}

if (!isset($_POST['vacation']) or empty($_POST['vacation'])) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/bb-vacation.txt")) {
			unlink("$maj_data_directory/members/active/$maj_logged_in_username/bb-vacation.txt");
		}
	}
}

if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/key.txt") and !file_exists("$maj_data_directory/members/active/$maj_logged_in_username/bb-vacation.txt")) {
	touch("$maj_data_directory/members/active/$maj_logged_in_username/bb-vacation.txt");
}


if (isset($_POST['bday']) and !empty($_POST['bday']) and (mb_strlen($_POST['bday']) == "8") and is_numeric($_POST['bday']) and ((round((date("Ymd", time() + $maj_offset) - $_POST['bday']) * 0.0001)) >= $minage) and ((round((date("Ymd", time() + $maj_offset) - $_POST['bday']) * 0.0001)) <= $maxage)) {

	$fp_bday_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/bday.txt","w");
	fwrite($fp_bday_txt,strip_tags($_POST['bday']));
	fclose($fp_bday_txt);

}

if (isset($_POST['current_passwd']) and !empty($_POST['current_passwd']) and isset($_POST['new_passwd']) and !empty($_POST['new_passwd']) and isset($_POST['confirm_passwd']) and !empty($_POST['confirm_passwd'])) {

	if (file_exists("$maj_data_directory/bb-passlen.txt")) {
		$pass_len = file_get_contents("$maj_data_directory/bb-passlen.txt");
	}
	else {
		$pass_len = 8;
	}

	$current_passwd = trim($_POST['current_passwd']);
	$new_passwd = trim($_POST['new_passwd']);
	$confirm_passwd = trim($_POST['confirm_passwd']);

	if ((mb_strlen($new_passwd) < $pass_len) or (mb_strlen($confirm_passwd) < $pass_len)) {
		echo "Passwords must be composed of at least $pass_len characters.";
	}
	else {
		/* Fun with crypt! */
		$current_passwd = sha1($current_passwd);
		$current_passwd = md5($current_passwd);
		$current_passwd = crypt($current_passwd, $current_passwd);
		$new_passwd = sha1($new_passwd);
		$new_passwd = md5($new_passwd);
		$new_passwd = crypt($new_passwd, $new_passwd);
		$confirm_passwd = sha1($confirm_passwd);
		$confirm_passwd = md5($confirm_passwd);
		$confirm_passwd = crypt($confirm_passwd, $confirm_passwd);
		
		if (($current_passwd != file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/password.txt")) or ($new_passwd != $confirm_passwd)) {
			echo "Passwords do not match.";
		}
		else {
			$fp_passwd_txt = fopen("$maj_data_directory/members/active/$maj_logged_in_username/password.txt","w");
			fwrite($fp_passwd_txt,$new_passwd);
			fclose($fp_passwd_txt);
			$login_url = "http://" . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/login.php";
			$login_url = str_replace("//login.php", "/login.php", $login_url);
			echo "Password successfully changed and encrypted on record.";
		}
	}
}

?>

<table border="0" cellspacing="1" cellpadding="2" bgcolor="#cccccc">

<tr><td bgcolor="#ffffff" colspan="2" align="right">you are logged in as <b><?php echo "<b>{$maj_logged_in_username}</b>"; ?>&nbsp;&nbsp;</b></td></tr>

<tr><td bgcolor="#ffffff" width="<?php echo $maj_ablock; ?>" align="center"><?php maj_avatar_image($maj_logged_in_username,$maj_aimage,0,0); ?></td><td bgcolor="#ffffff">

<?php

echo "<b>";
readfile("$maj_data_directory/members/active/$maj_logged_in_username/firstname.txt");
echo " ";
readfile("$maj_data_directory/members/active/$maj_logged_in_username/lastname.txt");
echo "</b>";

if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/rank.txt") and file_exists("$maj_data_directory/rank.txt")) {
	$rank = file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/rank.txt");
	echo "<br>$rank";
}
elseif (!file_exists("$maj_data_directory/members/active/$maj_logged_in_username/rank.txt") and file_exists("$maj_data_directory/rank.txt")) {
	echo "<br>member";
}

echo "<p align=right>";

if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/bday.txt")) {

	$bday = file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/bday.txt");
	$bday_year = mb_substr($bday,0,4);
	$bday_month = mb_substr($bday,4,2);
	$bday_day = mb_substr($bday,6,2);
	$bday = date("d M Y [D]", mktime(0, 0, 0, $bday_month, $bday_day, $bday_year));
	echo "birthdate<code>&nbsp;$bday&nbsp;</code><br>";
}

if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/timestamp.txt")) {
	$joined = file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/timestamp.txt");
	$joined_year = mb_substr($joined,0,4);
	$joined_month = mb_substr($joined,4,2);
	$joined_day = mb_substr($joined,6,2);
	$joined_hh = mb_substr($joined,8,2);
	$joined_mm = mb_substr($joined,10,2);
	$member_since = date("d M Y H:i", mktime($joined_hh, $joined_mm, 0, $joined_month, $joined_day, $joined_year));
	echo "member since<code>&nbsp;$member_since&nbsp;</code><br>";
}

if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/bb-last.txt")) {
	$lastlog = file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/bb-last.txt");
	$lastlog_year = mb_substr($lastlog,0,4);
	$lastlog_month = mb_substr($lastlog,4,2);
	$lastlog_day = mb_substr($lastlog,6,2);
	$lastlog_hh = mb_substr($lastlog,8,2);
	$lastlog_mm = mb_substr($lastlog,10,2);
	$last_login = date("d M Y H:i", mktime($lastlog_hh, $lastlog_mm, 0, $lastlog_month, $lastlog_day, $lastlog_year));
	echo "last login<code>&nbsp;$last_login&nbsp;</code>";
}

?>

</td></tr>

<form enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
<input type="hidden" name="edit" value="on">

<?php if (!file_exists("$maj_data_directory/members/active/$maj_logged_in_username/key.txt")) { ?>
<tr><td bgcolor="#ffffff">e-mail address*</td><td bgcolor="#ffffff" colspan="2"><input autofocus required class="input" type="email" autocomplete="off" name="email" maxlength="60" value="<?php readfile("$maj_data_directory/members/active/$maj_logged_in_username/email.txt"); ?>"></td></tr>
<?php } ?>

<tr><td bgcolor="#ffffff">mobile number</td><td bgcolor="#ffffff" colspan="2"><input autofocus required class="input" type="tel" autocomplete="off" name="tel" maxlength="30" <?php if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/tel.txt")) { echo "value=\""; readfile("$maj_data_directory/members/active/$maj_logged_in_username/tel.txt"); echo "\""; } ?>></td></tr>

<tr><td bgcolor="#ffffff">company or school</td><td bgcolor="#ffffff" colspan="2"><input autofocus required class="input" type="org" autocomplete="off" name="org" maxlength="60" <?php if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/org.txt")) { echo "value=\""; readfile("$maj_data_directory/members/active/$maj_logged_in_username/org.txt"); echo "\""; } ?>></td></tr>

<tr><td bgcolor="#ffffff">website</td><td bgcolor="#ffffff" colspan="2"><input class="input" type="url" autocomplete="off" name="url" maxlength="300" <?php if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/url.txt")) { echo "value=\""; readfile("$maj_data_directory/members/active/$maj_logged_in_username/url.txt"); echo "\""; } ?>></td></tr>

<tr><td bgcolor="#ffffff">country</td><td bgcolor="#ffffff" colspan="2">

<select class="input" name="country" required>
<option<?php if (!file_exists("$maj_data_directory/members/active/$maj_logged_in_username/country.txt")) { echo " selected"; } ?> value=""></option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AF") { echo " selected"; } ?> value="AF">Afghanistan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AX") { echo " selected"; } ?> value="AX">Aland (Ahvenanmaa) Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AL") { echo " selected"; } ?> value="AL">Albania</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "DZ") { echo " selected"; } ?> value="DZ">Algeria</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AS") { echo " selected"; } ?> value="AS">American Samoa</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AD") { echo " selected"; } ?> value="AD">Andorra</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AO") { echo " selected"; } ?> value="AO">Angola</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AI") { echo " selected"; } ?> value="AI">Anguilla</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AQ") { echo " selected"; } ?> value="AQ">Antarctica</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AG") { echo " selected"; } ?> value="AG">Antigua & Barbuda</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AR") { echo " selected"; } ?> value="AR">Argentina</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AM") { echo " selected"; } ?> value="AM">Armenia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AW") { echo " selected"; } ?> value="AW">Aruba</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AU") { echo " selected"; } ?> value="AU">Australia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AT") { echo " selected"; } ?> value="AT">Austria</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AZ") { echo " selected"; } ?> value="AZ">Azerbaijan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BS") { echo " selected"; } ?> value="BS">Bahamas</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BH") { echo " selected"; } ?> value="BH">Bahrain</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BD") { echo " selected"; } ?> value="BD">Bangladesh</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BB") { echo " selected"; } ?> value="BB">Barbados</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BY") { echo " selected"; } ?> value="BY">Belarus</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BE") { echo " selected"; } ?> value="BE">Belgium</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BZ") { echo " selected"; } ?> value="BZ">Belize</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BJ") { echo " selected"; } ?> value="BJ">Benin</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BM") { echo " selected"; } ?> value="BM">Bermuda</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BT") { echo " selected"; } ?> value="BT">Bhutan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BO") { echo " selected"; } ?> value="BO">Bolivia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BA") { echo " selected"; } ?> value="BA">Bosnia & Herzegovina</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BW") { echo " selected"; } ?> value="BW">Botswana</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BV") { echo " selected"; } ?> value="BV">Bouvet Island</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BR") { echo " selected"; } ?> value="BR">Brazil</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IO") { echo " selected"; } ?> value="IO">British Indian Ocean Territory</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BN") { echo " selected"; } ?> value="BN">Brunei Darussalam</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BG") { echo " selected"; } ?> value="BG">Bulgaria</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BF") { echo " selected"; } ?> value="BF">Burkina Faso</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "BI") { echo " selected"; } ?> value="BI">Burundi</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KH") { echo " selected"; } ?> value="KH">Cambodia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CM") { echo " selected"; } ?> value="CM">Cameroon</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CA") { echo " selected"; } ?> value="CA">Canada</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CV") { echo " selected"; } ?> value="CV">Cape Verde</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KY") { echo " selected"; } ?> value="KY">Cayman Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CF") { echo " selected"; } ?> value="CF">Central African Republic</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TD") { echo " selected"; } ?> value="TD">Chad</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CL") { echo " selected"; } ?> value="CL">Chile</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CN") { echo " selected"; } ?> value="CN">China</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CX") { echo " selected"; } ?> value="CX">Christmas Island</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CC") { echo " selected"; } ?> value="CC">Cocos (Keeling) Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CO") { echo " selected"; } ?> value="CO">Colombia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KM") { echo " selected"; } ?> value="KM">Comoros</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CG") { echo " selected"; } ?> value="CG">Congo</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CD") { echo " selected"; } ?> value="CD">Congo (Democratic Republic)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CK") { echo " selected"; } ?> value="CK">Cook Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CR") { echo " selected"; } ?> value="CR">Costa Rica</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CI") { echo " selected"; } ?> value="CI">Cote D'Ivoire</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "HR") { echo " selected"; } ?> value="HR">Croatia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CU") { echo " selected"; } ?> value="CU">Cuba</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CY") { echo " selected"; } ?> value="CY">Cyprus</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CZ") { echo " selected"; } ?> value="CZ">Czech Republic</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "DK") { echo " selected"; } ?> value="DK">Denmark</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "DJ") { echo " selected"; } ?> value="DJ">Djibouti</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "DM") { echo " selected"; } ?> value="DM">Dominica</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "DO") { echo " selected"; } ?> value="DO">Dominican Republic</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "EC") { echo " selected"; } ?> value="EC">Ecuador</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "EG") { echo " selected"; } ?> value="EG">Egypt</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SV") { echo " selected"; } ?> value="SV">El Salvador</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GQ") { echo " selected"; } ?> value="GQ">Equatorial Guinea</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ER") { echo " selected"; } ?> value="ER">Eritrea</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "EE") { echo " selected"; } ?> value="EE">Estonia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ET") { echo " selected"; } ?> value="ET">Ethiopia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "FK") { echo " selected"; } ?> value="FK">Falkland Islands (Malvinas)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "FO") { echo " selected"; } ?> value="FO">Faroe Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "FJ") { echo " selected"; } ?> value="FJ">Fiji</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "FI") { echo " selected"; } ?> value="FI">Finland</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "FR") { echo " selected"; } ?> value="FR">France</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GF") { echo " selected"; } ?> value="GF">French Guiana</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PF") { echo " selected"; } ?> value="PF">French Polynesia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TF") { echo " selected"; } ?> value="TF">French Southern Territories</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GA") { echo " selected"; } ?> value="GA">Gabon</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GM") { echo " selected"; } ?> value="GM">Gambia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GE") { echo " selected"; } ?> value="GE">Georgia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "DE") { echo " selected"; } ?> value="DE">Germany</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GH") { echo " selected"; } ?> value="GH">Ghana</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GI") { echo " selected"; } ?> value="GI">Gibraltar</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GR") { echo " selected"; } ?> value="GR">Greece</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GL") { echo " selected"; } ?> value="GL">Greenland</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GD") { echo " selected"; } ?> value="GD">Grenada</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GP") { echo " selected"; } ?> value="GP">Guadeloupe</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GU") { echo " selected"; } ?> value="GU">Guam</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GT") { echo " selected"; } ?> value="GT">Guatemala</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GG") { echo " selected"; } ?> value="GG">Guernsey</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GN") { echo " selected"; } ?> value="GN">Guinea</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GW") { echo " selected"; } ?> value="GW">Guinea-Bissau</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GY") { echo " selected"; } ?> value="GY">Guyana</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "HT") { echo " selected"; } ?> value="HT">Haiti</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "HM") { echo " selected"; } ?> value="HM">Heard Island & Mcdonald Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "VA") { echo " selected"; } ?> value="VA">Holy See (Vatican City State)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "HN") { echo " selected"; } ?> value="HN">Honduras</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "HK") { echo " selected"; } ?> value="HK">Hong Kong</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "HU") { echo " selected"; } ?> value="HU">Hungary</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IS") { echo " selected"; } ?> value="IS">Iceland</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IN") { echo " selected"; } ?> value="IN">India</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ID") { echo " selected"; } ?> value="ID">Indonesia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IR") { echo " selected"; } ?> value="IR">Iran (Islamic Republic)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IQ") { echo " selected"; } ?> value="IQ">Iraq</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IE") { echo " selected"; } ?> value="IE">Ireland</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IM") { echo " selected"; } ?> value="IM">Isle Of Man</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IL") { echo " selected"; } ?> value="IL">Israel</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "IT") { echo " selected"; } ?> value="IT">Italy</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "JM") { echo " selected"; } ?> value="JM">Jamaica</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "JP") { echo " selected"; } ?> value="JP">Japan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "JE") { echo " selected"; } ?> value="JE">Jersey</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "JO") { echo " selected"; } ?> value="JO">Jordan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KZ") { echo " selected"; } ?> value="KZ">Kazakhstan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KE") { echo " selected"; } ?> value="KE">Kenya</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KI") { echo " selected"; } ?> value="KI">Kiribati</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KP") { echo " selected"; } ?> value="KP">Korea (Democratic People's Republic)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KR") { echo " selected"; } ?> value="KR">Korea (Republic)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KW") { echo " selected"; } ?> value="KW">Kuwait</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KG") { echo " selected"; } ?> value="KG">Kyrgyzstan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LA") { echo " selected"; } ?> value="LA">Laos</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LV") { echo " selected"; } ?> value="LV">Latvia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LB") { echo " selected"; } ?> value="LB">Lebanon</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LS") { echo " selected"; } ?> value="LS">Lesotho</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LR") { echo " selected"; } ?> value="LR">Liberia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LY") { echo " selected"; } ?> value="LY">Libyan Arab Jamahiriya</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LI") { echo " selected"; } ?> value="LI">Liechtenstein</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LT") { echo " selected"; } ?> value="LT">Lithuania</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LU") { echo " selected"; } ?> value="LU">Luxembourg</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MO") { echo " selected"; } ?> value="MO">Macao</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MK") { echo " selected"; } ?> value="MK">Macedonia (Yugoslav Republic)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MG") { echo " selected"; } ?> value="MG">Madagascar</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MW") { echo " selected"; } ?> value="MW">Malawi</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MY") { echo " selected"; } ?> value="MY">Malaysia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MV") { echo " selected"; } ?> value="MV">Maldives</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ML") { echo " selected"; } ?> value="ML">Mali</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MT") { echo " selected"; } ?> value="MT">Malta</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MH") { echo " selected"; } ?> value="MH">Marshall Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MQ") { echo " selected"; } ?> value="MQ">Martinique</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MR") { echo " selected"; } ?> value="MR">Mauritania</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MU") { echo " selected"; } ?> value="MU">Mauritius</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "YT") { echo " selected"; } ?> value="YT">Mayotte</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MX") { echo " selected"; } ?> value="MX">Mexico</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "FM") { echo " selected"; } ?> value="FM">Micronesia (Federated States)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MD") { echo " selected"; } ?> value="MD">Moldova (Republic)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MC") { echo " selected"; } ?> value="MC">Monaco</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MN") { echo " selected"; } ?> value="MN">Mongolia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MS") { echo " selected"; } ?> value="MS">Montserrat</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MA") { echo " selected"; } ?> value="MA">Morocco</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MZ") { echo " selected"; } ?> value="MZ">Mozambique</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MM") { echo " selected"; } ?> value="MM">Myanmar</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NA") { echo " selected"; } ?> value="NA">Namibia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NR") { echo " selected"; } ?> value="NR">Nauru</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NP") { echo " selected"; } ?> value="NP">Nepal</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NL") { echo " selected"; } ?> value="NL">Netherlands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AN") { echo " selected"; } ?> value="AN">Netherlands Antilles</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NC") { echo " selected"; } ?> value="NC">New Caledonia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NZ") { echo " selected"; } ?> value="NZ">New Zealand</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NI") { echo " selected"; } ?> value="NI">Nicaragua</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NE") { echo " selected"; } ?> value="NE">Niger</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NG") { echo " selected"; } ?> value="NG">Nigeria</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NU") { echo " selected"; } ?> value="NU">Niue</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NF") { echo " selected"; } ?> value="NF">Norfolk Island</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "MP") { echo " selected"; } ?> value="MP">Northern Mariana Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "NO") { echo " selected"; } ?> value="NO">Norway</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "OM") { echo " selected"; } ?> value="OM">Oman</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PK") { echo " selected"; } ?> value="PK">Pakistan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PW") { echo " selected"; } ?> value="PW">Palau</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PS") { echo " selected"; } ?> value="PS">Palestinian Territory</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PA") { echo " selected"; } ?> value="PA">Panama</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PG") { echo " selected"; } ?> value="PG">Papua New Guinea</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PY") { echo " selected"; } ?> value="PY">Paraguay</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PE") { echo " selected"; } ?> value="PE">Peru</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PH") { echo " selected"; } ?> value="PH">Philippines</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PN") { echo " selected"; } ?> value="PN">Pitcairn</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PL") { echo " selected"; } ?> value="PL">Poland</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PT") { echo " selected"; } ?> value="PT">Portugal</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PR") { echo " selected"; } ?> value="PR">Puerto Rico</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "QA") { echo " selected"; } ?> value="QA">Qatar</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "RE") { echo " selected"; } ?> value="RE">Reunion</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "RO") { echo " selected"; } ?> value="RO">Romania</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "RU") { echo " selected"; } ?> value="RU">Russian Federation</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "RW") { echo " selected"; } ?> value="RW">Rwanda</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SH") { echo " selected"; } ?> value="SH">Saint Helena</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "KN") { echo " selected"; } ?> value="KN">Saint Kitts & Nevis</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LC") { echo " selected"; } ?> value="LC">Saint Lucia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "PM") { echo " selected"; } ?> value="PM">Saint Pierre & Miquelon</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "VC") { echo " selected"; } ?> value="VC">Saint Vincent & The Grenadines</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "WS") { echo " selected"; } ?> value="WS">Samoa</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SM") { echo " selected"; } ?> value="SM">San Marino</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ST") { echo " selected"; } ?> value="ST">Sao Tome & Principe</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SA") { echo " selected"; } ?> value="SA">Saudi Arabia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SN") { echo " selected"; } ?> value="SN">Senegal</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CS") { echo " selected"; } ?> value="CS">Serbia & Montenegro</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SC") { echo " selected"; } ?> value="SC">Seychelles</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SL") { echo " selected"; } ?> value="SL">Sierra Leone</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SG") { echo " selected"; } ?> value="SG">Singapore</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SK") { echo " selected"; } ?> value="SK">Slovakia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SI") { echo " selected"; } ?> value="SI">Slovenia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SB") { echo " selected"; } ?> value="SB">Solomon Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SO") { echo " selected"; } ?> value="SO">Somalia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ZA") { echo " selected"; } ?> value="ZA">South Africa</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GS") { echo " selected"; } ?> value="GS">South Georgia & The South Sandwich Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ES") { echo " selected"; } ?> value="ES">Spain</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "LK") { echo " selected"; } ?> value="LK">Sri Lanka</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SD") { echo " selected"; } ?> value="SD">Sudan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SR") { echo " selected"; } ?> value="SR">Suriname</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SJ") { echo " selected"; } ?> value="SJ">Svalbard & Jan Mayen</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SZ") { echo " selected"; } ?> value="SZ">Swaziland</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SE") { echo " selected"; } ?> value="SE">Sweden</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "CH") { echo " selected"; } ?> value="CH">Switzerland</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "SY") { echo " selected"; } ?> value="SY">Syrian Arab Republic</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TW") { echo " selected"; } ?> value="TW">Taiwan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TJ") { echo " selected"; } ?> value="TJ">Tajikistan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TZ") { echo " selected"; } ?> value="TZ">Tanzania (United Republic)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TH") { echo " selected"; } ?> value="TH">Thailand</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TL") { echo " selected"; } ?> value="TL">Timor-Leste</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TG") { echo " selected"; } ?> value="TG">Togo</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TK") { echo " selected"; } ?> value="TK">Tokelau</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TO") { echo " selected"; } ?> value="TO">Tonga</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TT") { echo " selected"; } ?> value="TT">Trinidad & Tobago</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TN") { echo " selected"; } ?> value="TN">Tunisia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TR") { echo " selected"; } ?> value="TR">Turkey</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TM") { echo " selected"; } ?> value="TM">Turkmenistan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TC") { echo " selected"; } ?> value="TC">Turks & Caicos Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "TV") { echo " selected"; } ?> value="TV">Tuvalu</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "UG") { echo " selected"; } ?> value="UG">Uganda</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "UA") { echo " selected"; } ?> value="UA">Ukraine</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "AE") { echo " selected"; } ?> value="AE">United Arab Emirates</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "GB") { echo " selected"; } ?> value="GB">United Kingdom</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "US") { echo " selected"; } ?> value="US">United States</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "UM") { echo " selected"; } ?> value="UM">United States Minor Outlying Islands</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "UY") { echo " selected"; } ?> value="UY">Uruguay</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "UZ") { echo " selected"; } ?> value="UZ">Uzbekistan</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "VU") { echo " selected"; } ?> value="VU">Vanuatu</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "VE") { echo " selected"; } ?> value="VE">Venezuela</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "VN") { echo " selected"; } ?> value="VN">Vietnam</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "VG") { echo " selected"; } ?> value="VG">Virgin Islands (British)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "VI") { echo " selected"; } ?> value="VI">Virgin Islands (US)</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "WF") { echo " selected"; } ?> value="WF">Wallis & Futuna</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "EH") { echo " selected"; } ?> value="EH">Western Sahara</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "YE") { echo " selected"; } ?> value="YE">Yemen</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ZM") { echo " selected"; } ?> value="ZM">Zambia</option>
<option<?php if (file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/country.txt") == "ZW") { echo " selected"; } ?> value="ZW">Zimbabwe</option>
</select>

</td></tr>

<tr><td bgcolor="#ffffff">city or municipality</td><td bgcolor="#ffffff" colspan="2"><input required class="input" type="text" autocomplete="off" name="city" maxlength="100" <?php if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/city.txt")) { echo "value=\""; readfile("$maj_data_directory/members/active/$maj_logged_in_username/city.txt");echo "\"";  } ?>></td></tr>

<?php if (file_exists("$maj_data_directory/bb.txt") and file_exists("$maj_data_directory/bb-sig.txt")) { ?>

<tr><td bgcolor="#ffffff">signature</td><td bgcolor="#ffffff" colspan="2"><textarea class="input" name="sig"><?php if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/sig.txt")) { 

	$get_sig = file_get_contents("$maj_data_directory/members/active/$maj_logged_in_username/sig.txt");
	$get_sig = str_replace("<b>","[b]",$get_sig);
	$get_sig = str_replace("</b>","[/b]",$get_sig);
	$get_sig = str_replace("<i>","[i]",$get_sig);
	$get_sig = str_replace("</i>","[/i]",$get_sig);
	$get_sig = str_replace("<u>","[u]",$get_sig);
	$get_sig = str_replace("</u>","[/u]",$get_sig);
	$get_sig = str_replace("<sup>","[sup]",$get_sig);
	$get_sig = str_replace("</sup>","[/sup]",$get_sig);
	$get_sig = str_replace("<sub>","[sub]",$get_sig);
	$get_sig = str_replace("</sub>","[/sub]",$get_sig);
	$get_sig = str_replace("<strike>","[strike]",$get_sig);
	$get_sig = str_replace("</strike>","[/strike]",$get_sig);
	$get_sig = str_replace("<br>","\n",$get_sig);

	echo $get_sig;

} ?></textarea></td></tr>

<?php

}

if (file_exists("$maj_data_directory/avatar.txt")) {

?>

<tr><td bgcolor="#ffffff">upload avatar</td><td bgcolor="#ffffff" colspan="2"><input type="file" autocomplete="off" name="avatar"></td></tr>
<?php

}

if (file_exists("$maj_data_directory/avatar.txt") and (file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.gif") or file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.jpg") or file_exists("$maj_image_directory/members/$maj_logged_in_username/avatar.png"))) { ?>
<tr><td bgcolor="#ffffff"></td><td bgcolor="#ffffff" colspan="2"><table border="0" cellspacing="0" cellpadding="0"><tr><td><input type="checkbox" name="del_avatar"></td><td>delete existing avatar</td></tr></table></td></tr>
<?php } if (file_exists("$maj_data_directory/ml.txt") and !file_exists("$maj_data_directory/members/active/$maj_logged_in_username/key.txt")) { ?>
<tr><td bgcolor="#ffffff"></td><td bgcolor="#ffffff" colspan="2"><table border="0" cellspacing="0" cellpadding="0"><tr><td><input type="checkbox" name="vacation" <?php if (file_exists("$maj_data_directory/members/active/$maj_logged_in_username/bb-vacation.txt")) { echo checked; } ?>></td><td>temporarily disable mailing list subscription</td></tr></table></td></tr>
<?php } ?>

<?php if (!file_exists("$maj_data_directory/members/active/$maj_logged_in_username/bday.txt")) { ?>
<tr><td bgcolor="#ffffff">birthdate (YYYYMMDD)</td><td bgcolor="#ffffff" colspan="2"><input class="input" type="text" autocomplete="off" name="bday" maxlength="8" value="<?php echo date("Ymd", time() + $maj_offset); ?>"></td></tr>
<?php } ?>

<tr><td bgcolor="#ffffff">current password</td><td bgcolor="#ffffff" colspan="2"><input class="input" type="password" autocomplete="off" name="current_passwd" maxlength="30"></td></tr>
<tr><td bgcolor="#ffffff">new password</td><td bgcolor="#ffffff" width="300"><input class="input" type="password" autocomplete="off" name="new_passwd" maxlength="30"></td></tr>
<tr><td bgcolor="#ffffff">confirm password</td><td bgcolor="#ffffff"><input class="input" type="password" autocomplete="off" name="confirm_passwd" maxlength="30"></td></tr>
<tr><td bgcolor="#ffffff"></td><td bgcolor="#ffffff"><input class="click" type="submit" value="click here to activate new settings"></td></tr>
</form>
<form enctype="multipart/form-data" action="<?php echo 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']); ?>" method="post">
<tr><td bgcolor="#ffffff"></td><td bgcolor="#ffffff"><input class="click" type="submit" value="click here to go to the index page"></td></tr>
</form>
</table>
