<?php

require("core.php");

if (isset($_SESSION['logged_in']) and ($_SESSION['user_agent'] != $_SERVER['HTTP_USER_AGENT'])) {
	header("Location: login.php");
}

$login_username = file_get_contents("$maj_data_directory/username.txt");

if (!isset($_SESSION['logged_in']) or ($_SESSION['logged_in'] != $login_username)) {
	exit();
}

if (isset($_POST['new_id']) and !empty($_POST['new_id']) and isset($_POST['new_title']) and !empty($_POST['new_title']) and isset($_POST['new_content']) and !empty($_POST['new_content']) and !file_exists("$maj_data_directory/panels/{$_POST['new_id']}")) {

	if (!file_exists("$maj_data_directory/panels")) {
		mkdir("$maj_data_directory/panels");
	}

	$new_id = trim(strip_tags(mb_strtolower(str_replace(" ", "_", $_POST['new_id']))));

	if (!file_exists("$maj_data_directory/panels/$new_id")) {
		mkdir("$maj_data_directory/panels/$new_id");
	}

	$new_title = ucfirst(strip_tags(trim($_POST['new_title'])));
	$open_title_file = fopen("$maj_data_directory/panels/$new_id/title.txt","w");
	fwrite($open_title_file,$new_title);
	fclose($open_title_file);

	$panel_content = ucfirst(trim($_POST['new_content']));
	
	$new_content_file = fopen("$maj_data_directory/panels/$new_id/panel.php","w");
	fwrite($new_content_file,$panel_content);
	fclose($new_content_file);
}

if ((!isset($_POST['panel_hide']) or empty($_POST['panel_hide'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/private.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/private.txt");
	}
}

if (isset($_POST['panel_hide']) and !empty($_POST['panel_hide']) and ($_POST['panel_hide'] == "on")) {
	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/private.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/private.txt");
	}
}

if ((!isset($_POST['panel_noquery']) or empty($_POST['panel_noquery'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/noquery.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/noquery.txt");
	}
}

if (isset($_POST['panel_noquery']) and !empty($_POST['panel_noquery']) and ($_POST['panel_noquery'] == "on")) {
	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/noquery.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/noquery.txt");
	}
}

if ((!isset($_POST['panel_auth']) or empty($_POST['panel_auth'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/auth.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/auth.txt");
	}
}

if (isset($_POST['panel_auth']) and !empty($_POST['panel_auth']) and ($_POST['panel_auth'] == "on")) {
	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/auth.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/auth.txt");
	}
}

if ((!isset($_POST['panel_nomargin']) or empty($_POST['panel_nomargin'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/nomargin.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/nomargin.txt");
	}
}

if (isset($_POST['panel_nomargin']) and !empty($_POST['panel_nomargin']) and ($_POST['panel_nomargin'] == "on")) {
	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/nomargin.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/nomargin.txt");
	}
}

if ((!isset($_POST['panel_free']) or empty($_POST['panel_free'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/free.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/free.txt");
	}
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/nomargin.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/nomargin.txt");
	}
}

if (isset($_POST['panel_free']) and !empty($_POST['panel_free']) and ($_POST['panel_free'] == "on")) {
	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/free.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/free.txt");
	}
}

if ((!isset($_POST['panel_right']) or empty($_POST['panel_right'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt");
	}
}

if (isset($_POST['panel_right']) and !empty($_POST['panel_right']) and ($_POST['panel_right'] == "on")) {

	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt");
	}
}

if ((!isset($_POST['panel_center']) or empty($_POST['panel_center'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt");
	}
}

if (isset($_POST['panel_center']) and !empty($_POST['panel_center']) and ($_POST['panel_center'] == "on")) {

	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt");
	}
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt");
	}
}

if ((!isset($_POST['panel_top']) or empty($_POST['panel_top'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt");
	}
}

if (isset($_POST['panel_top']) and !empty($_POST['panel_top']) and ($_POST['panel_top'] == "on")) {

	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt");
	}
}

if ((!isset($_POST['panel_entry']) or empty($_POST['panel_entry'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt");
	}
}

if (isset($_POST['panel_entry']) and !empty($_POST['panel_entry']) and ($_POST['panel_entry'] == "on")) {

	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt");
	}
}

if ((!isset($_POST['panel_bottom']) or empty($_POST['panel_bottom'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt");
	}
}

if (isset($_POST['panel_bottom']) and !empty($_POST['panel_bottom']) and ($_POST['panel_bottom'] == "on")) {

	if (!file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt")) {
		touch("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt");
	}
}

if ((!isset($_POST['panel_header']) or empty($_POST['panel_header'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/header.txt") and (file_get_contents("$maj_data_directory/header.txt") == $_POST['panel_id'])) {
		unlink("$maj_data_directory/header.txt");
	}
}

if (isset($_POST['panel_header']) and !empty($_POST['panel_header']) and ($_POST['panel_header'] == "on")) {

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt");
	}

	$new_header_file = fopen("$maj_data_directory/header.txt","w");
	fwrite($new_header_file,$_POST['panel_id']);
	fclose($new_header_file);
}

if ((!isset($_POST['panel_footer']) or empty($_POST['panel_footer'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/footer.txt") and (file_get_contents("$maj_data_directory/footer.txt") == $_POST['panel_id'])) {
		unlink("$maj_data_directory/footer.txt");
	}
}

if (isset($_POST['panel_footer']) and !empty($_POST['panel_footer']) and ($_POST['panel_footer'] == "on")) {

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/right.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/top.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/bottom.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/center.txt");
	}

	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/entry.txt");
	}

	$new_footer_file = fopen("$maj_data_directory/footer.txt","w");
	fwrite($new_footer_file,$_POST['panel_id']);
	fclose($new_footer_file);
}

if (isset($_POST['panel_title']) and !empty($_POST['panel_title'])) {

	$panel_title = ucfirst(strip_tags(trim($_POST['panel_title'])));

	if ($panel_title != file_get_contents("$maj_data_directory/panels/{$_POST['panel_id']}/title.txt")) {
		$edit_title_file = fopen("$maj_data_directory/panels/{$_POST['panel_id']}/title.txt","w");
		fwrite($edit_title_file,$panel_title);
		fclose($edit_title_file);
	}
}

if (isset($_POST['panel_content']) and !empty($_POST['panel_content'])) {

	$panel_content = ucfirst(trim($_POST['panel_content']));

	if ($panel_content != file_get_contents("$maj_data_directory/panels/{$_POST['panel_id']}/panel.php")) {
		$edit_content_file = fopen("$maj_data_directory/panels/{$_POST['panel_id']}/panel.php","w");
		fwrite($edit_content_file,$panel_content);
		fclose($edit_content_file);
	}
}

if (isset($_POST['panel_link']) and !empty($_POST['panel_link'])) {

	$panel_link = trim($_POST['panel_link']);

	if ($panel_link != file_get_contents("$maj_data_directory/panels/{$_POST['panel_id']}/link.txt")) {
		$edit_link_file = fopen("$maj_data_directory/panels/{$_POST['panel_id']}/link.txt","w");
		fwrite($edit_link_file,$panel_link);
		fclose($edit_link_file);
	}
}

if ((!isset($_POST['panel_link']) or empty($_POST['panel_link'])) and ($_POST['panel_edit'] == "on")) {
	if (file_exists("$maj_data_directory/panels/{$_POST['panel_id']}/link.txt")) {
		unlink("$maj_data_directory/panels/{$_POST['panel_id']}/link.txt");
	}
}

if (isset($_POST['move_id']) and !empty($_POST['move_id']) and isset($_POST['old_id']) and !empty($_POST['old_id']) and isset($_POST['panel_edit']) and !empty($_POST['panel_edit']) and ($_POST['panel_edit'] == "on")) {

	$move_id = trim(strip_tags(mb_strtolower(str_replace(" ", "_", $_POST['move_id']))));
	$move_id = str_replace(",","_",$move_id);

	if (!file_exists("$maj_data_directory/panels/$move_id")) {
		rename("$maj_data_directory/panels/{$_POST['old_id']}","$maj_data_directory/panels/$move_id");
	}
}

if (isset($_POST['panel_del']) and !empty($_POST['panel_del']) and ($_POST['panel_del'] == "on")) {

	if (file_exists("$maj_data_directory/header.txt") and (file_get_contents("$maj_data_directory/header.txt") == $_POST['panel_id'])) {
		unlink("$maj_data_directory/header.txt");
	}

	if (file_exists("$maj_data_directory/footer.txt") and (file_get_contents("$maj_data_directory/footer.txt") == $_POST['panel_id'])) {
		unlink("$maj_data_directory/footer.txt");
	}

	rmdirr("$maj_data_directory/panels/{$_POST['panel_id']}");
}

?>

<title>Panels</title>

<style>

body {
	color: #666666;
	margin: 10px;
	padding: 0px;
	text-align: left;
	font-size: 11px;
	font-family: <?php
				if (file_exists("$maj_data_directory/fonts/body.txt")) {
					$font_body = file_get_contents("$maj_data_directory/fonts/body.txt");
					echo "{$font_body},";
				}
	?> arial, helvetica, sans-serif;
	background-color: #FFFFFF;
}

p, td {
	font-size: 11px;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link, a:visited {
	color: #666666;
}

a:hover {
	color: #336699;
}

a:active {
	color: #336699;
}

.input { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 350px; 
	font-family: <?php
				if (file_exists("$maj_data_directory/fonts/input.txt")) {
					$font_input = file_get_contents("$maj_data_directory/fonts/input.txt");
					echo "{$font_input},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px 
}
</style>

<p><b>Add Panel</b><br>Enter a unique panel ID, the panel title, and panel contents. Use <a href=http://php.net target=_maj>PHP</a> and <a href=http://www.w3.org/MarkUp/ target=_maj>HTML</a> with care!</p>

<table border="0" cellspacing="1" cellpadding="1">
<form enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
<tr><td><input type="text" class="input" name="new_id" autocomplete="off" maxlength="30" autofocus required></td><td>panel id*</td></tr>
<tr><td><input type="text" class="input" name="new_title" autocomplete="off" maxlength="90" required></td><td>panel title*</td></tr>
<tr><td><textarea class="input" name="new_content" rows="15" required></textarea></td><td valign="top">content*</td></tr>
<tr><td><input type="submit" class="input" value="click here to add new panel"></td><td></td></tr>
</form>
<form enctype="multipart/form-data" action="<?php echo 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']); ?>" method="post">
<tr><td><input class="input" type="submit" value="click here to go to the index page"></td><td></td></tr>
</form>
</table>

<?php
	if (file_exists("$maj_data_directory/panels")) {
		if ($dh_panel = opendir("$maj_data_directory/panels")) {
			while (($entry_panel = readdir($dh_panel)) !== false) {

				if ($entry_panel != "." && $entry_panel != ".." && fnmatch("*", $entry_panel)) {
					$show_panel[] = $entry_panel;
				}
			}
			closedir($dh_panel);
		}

		sort($show_panel);

		$count_panel = count($show_panel);

		if ($count_panel > 0) {

			echo "<br><p><b>Panel Management</b><br>Hiding a panel will make it invisible to visitors. Deleting a panel will remove all its contents.</p>";

			echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"1\">";

			foreach ($show_panel as $panel) {
				echo "<form enctype=\"multipart/form-data\" action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">";

				echo "<tr><td colspan=\"2\"><a name=\"";
				echo mb_strtolower(str_replace("_", " ", $panel));
				echo "\"></a></td></tr>";

				echo "<tr><td><input type=\"text\" class=\"input\" name=\"move_id\" value=\"$panel\" autocomplete=\"off\" maxlength=\"30\" required></td>";
				echo "<input type=\"hidden\" name=\"old_id\" value=\"$panel\">";

				echo "<td valign=\"top\" rowspan=\"5\">";
				
				echo "<input type=\"checkbox\" name=\"panel_hide\"";
				if (file_exists("$maj_data_directory/panels/$panel/private.txt")) {
					echo " checked";
				}
				echo "> hide<br>";

				echo "<input type=\"checkbox\" name=\"panel_noquery\"";
				if (file_exists("$maj_data_directory/panels/$panel/noquery.txt")) {
					echo " checked";
				}
				echo "> noquery<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_auth\"";
				if (file_exists("$maj_data_directory/panels/$panel/auth.txt")) {
					echo " checked";
				}
				echo "> auth<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_free\"";
				if (file_exists("$maj_data_directory/panels/$panel/free.txt")) {
					echo " checked";
				}
				echo "> free<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_nomargin\"";
				if (file_exists("$maj_data_directory/panels/$panel/nomargin.txt")) {
					echo " checked";
				}
				echo "> nomargin<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_header\"";
				if (file_exists("$maj_data_directory/header.txt") and (file_get_contents("$maj_data_directory/header.txt") == $panel)) {
					echo " checked";
				}
				echo "> header<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_footer\"";
				if (file_exists("$maj_data_directory/footer.txt") and (file_get_contents("$maj_data_directory/footer.txt") == $panel)) {
					echo " checked";
				}
				echo "> footer<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_right\"";
				if (file_exists("$maj_data_directory/panels/$panel/right.txt")) {
					echo " checked";
				}
				echo "> right<br>";

				echo "<input type=\"checkbox\" name=\"panel_top\"";
				if (file_exists("$maj_data_directory/panels/$panel/top.txt")) {
					echo " checked";
				}
				echo "> top<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_bottom\"";
				if (file_exists("$maj_data_directory/panels/$panel/bottom.txt")) {
					echo " checked";
				}
				echo "> bottom<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_center\"";
				if (file_exists("$maj_data_directory/panels/$panel/center.txt")) {
					echo " checked";
				}
				echo "> center<br>";

				echo "<input type=\"checkbox\" name=\"panel_entry\"";
				if (file_exists("$maj_data_directory/panels/$panel/entry.txt")) {
					echo " checked";
				}
				echo "> entry<br>";
				
				echo "<input type=\"checkbox\" name=\"panel_del\"> delete&nbsp;</td></tr>";

				echo "<tr></td><td><input type=\"text\" class=\"input\" name=\"panel_title\" value=\"";
				readfile("$maj_data_directory/panels/$panel/title.txt");
				echo "\" autocomplete=\"off\" maxlength=\"90\" required></td></tr>";

				echo "<tr><td><textarea class=\"input\" name=\"panel_content\" rows=\"15\" required>";
				readfile("$maj_data_directory/panels/$panel/panel.php");
				echo "</textarea></td></tr>";

				$links = glob("$maj_data_directory/items/*");

				rsort($links);

				if ((count($links) > 0) and ($panel != file_get_contents("$maj_data_directory/header.txt")) and ($panel != file_get_contents("$maj_data_directory/footer.txt"))) {

					echo "<tr></td><td><select class=\"input\" name=\"panel_link\"><option></option>";
				
					foreach ($links as $link) {
				
						$link_title = file_get_contents("$link/title.txt");
						$link_entry = basename($link);
						
						if (file_exists("$maj_data_directory/panels/$panel/link.txt") and (file_get_contents("$maj_data_directory/panels/$panel/link.txt") == $link_entry)) {
						
							echo "<option value=\"$link_entry\" selected>$link_title</option>";
						}
						else {					
							echo "<option value=\"$link_entry\">$link_title</option>";
						}
					}
					echo "</select></td></tr>";
				}
				
				echo "<tr><td>";
				echo "<input type=\"hidden\" name=\"panel_id\" value=\"$panel\">";
				echo "<input type=\"hidden\" name=\"panel_edit\" value=\"on\">";
				echo "<input type=\"submit\" class=\"input\" value=\"click here to update panel\">";
				echo "</td></tr>";

				echo "<tr><td>&nbsp;</td></tr>";

				echo "</form>";
			}

			echo "</table>";
		}
	}
?>
