<?php

session_start();

header("Cache-control: private");

error_reporting(E_ERROR);

require("core.php");

if (isset($_SESSION['logged_in']) and ($_SESSION['user_agent'] != $_SERVER['HTTP_USER_AGENT'])) {
	header("Location: login.php");
}

$login_username = file_get_contents("data/username.txt");

if (!isset($_SESSION['logged_in']) or ($_SESSION['logged_in'] != $login_username)) {
	exit();
}

if (!file_exists("data/fonts")) {
	mkdir("data/fonts");
}

if (isset($_POST['reset']) and !empty($_POST['reset']) and ($_POST['reset'] == "go")) {
	rmdirr("data/fonts");	
}

if (isset($_POST['body']) and !empty($_POST['body']) and (file_get_contents("data/fonts/body.txt") != $_POST['body'])) {
	$body_write_content = mb_strtolower($_POST['body']);
	$body_write_content = trim($body_write_content);
	$body_write_content = str_replace(", ",",",$body_write_content);
	$body_write_content = str_replace(" ,",",",$body_write_content);
	$body_write_content = preg_replace("/([!?,.])+/","\\1",$body_write_content);
	$body_write_content = rtrim($body_write_content,',');
	$body_write_content = str_replace(",",", ",$body_write_content);
	$body_write_content = preg_replace('/\s\s+/',' ',$body_write_content);
	$body_write_content = trim($body_write_content);
	$fp_body_txt = fopen("data/fonts/body.txt","w");
	fwrite($fp_body_txt,$body_write_content);
	fclose($fp_body_txt);
}

if (!isset($_POST['body']) or empty($_POST['body'])) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/body.txt")) {
			unlink("data/fonts/body.txt");
		}
	}
}

if (isset($_POST['input']) and !empty($_POST['input']) and (file_get_contents("data/fonts/input.txt") != $_POST['input'])) {
	$input_write_content = mb_strtolower($_POST['input']);
	$input_write_content = trim($input_write_content);
	$input_write_content = str_replace(", ",",",$input_write_content);
	$input_write_content = str_replace(" ,",",",$input_write_content);
	$input_write_content = preg_replace("/([!?,.])+/","\\1",$input_write_content);
	$input_write_content = rtrim($input_write_content,',');
	$input_write_content = str_replace(",",", ",$input_write_content);
	$input_write_content = preg_replace('/\s\s+/',' ',$input_write_content);
	$input_write_content = trim($input_write_content);
	$fp_input_txt = fopen("data/fonts/input.txt","w");
	fwrite($fp_input_txt,$input_write_content);
	fclose($fp_input_txt);
}

if (!isset($_POST['input']) or empty($_POST['input'])) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/input.txt")) {
			unlink("data/fonts/input.txt");
		}
	}
}

if (isset($_POST['panel_title']) and !empty($_POST['panel_title']) and (file_get_contents("data/fonts/panel-title.txt") != $_POST['panel_title'])) {
	$panel_title_write_content = mb_strtolower($_POST['panel_title']);
	$panel_title_write_content = trim($panel_title_write_content);
	$panel_title_write_content = str_replace(", ",",",$panel_title_write_content);
	$panel_title_write_content = str_replace(" ,",",",$panel_title_write_content);
	$panel_title_write_content = preg_replace("/([!?,.])+/","\\1",$panel_title_write_content);
	$panel_title_write_content = rtrim($panel_title_write_content,',');
	$panel_title_write_content = str_replace(",",", ",$panel_title_write_content);
	$panel_title_write_content = preg_replace('/\s\s+/',' ',$panel_title_write_content);
	$panel_title_write_content = trim($panel_title_write_content);
	$fp_panel_title_txt = fopen("data/fonts/panel-title.txt","w");
	fwrite($fp_panel_title_txt,$panel_title_write_content);
	fclose($fp_panel_title_txt);
}

if (!isset($_POST['panel_title']) or empty($_POST['panel_title'])) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/panel-title.txt")) {
			unlink("data/fonts/panel-title.txt");
		}
	}
}

if (isset($_POST['panel_body']) and !empty($_POST['panel_body']) and (file_get_contents("data/fonts/panel-body.txt") != $_POST['panel_body'])) {
	$panel_body_write_content = mb_strtolower($_POST['panel_body']);
	$panel_body_write_content = trim($panel_body_write_content);
	$panel_body_write_content = str_replace(", ",",",$panel_body_write_content);
	$panel_body_write_content = str_replace(" ,",",",$panel_body_write_content);
	$panel_body_write_content = preg_replace("/([!?,.])+/","\\1",$panel_body_write_content);
	$panel_body_write_content = rtrim($panel_body_write_content,',');
	$panel_body_write_content = str_replace(",",", ",$panel_body_write_content);
	$panel_body_write_content = preg_replace('/\s\s+/',' ',$panel_body_write_content);
	$panel_body_write_content = trim($panel_body_write_content);
	$fp_panel_body_txt = fopen("data/fonts/panel-body.txt","w");
	fwrite($fp_panel_body_txt,$panel_body_write_content);
	fclose($fp_panel_body_txt);
}

if (!isset($_POST['panel_body']) or empty($_POST['panel_body'])) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/panel-body.txt")) {
			unlink("data/fonts/panel-body.txt");
		}
	}
}

if (isset($_POST['panel_footer']) and !empty($_POST['panel_footer']) and (file_get_contents("data/fonts/panel-footer.txt") != $_POST['panel_footer'])) {
	$panel_footer_write_content = mb_strtolower($_POST['panel_footer']);
	$panel_footer_write_content = trim($panel_footer_write_content);
	$panel_footer_write_content = str_replace(", ",",",$panel_footer_write_content);
	$panel_footer_write_content = str_replace(" ,",",",$panel_footer_write_content);
	$panel_footer_write_content = preg_replace("/([!?,.])+/","\\1",$panel_footer_write_content);
	$panel_footer_write_content = rtrim($panel_footer_write_content,',');
	$panel_footer_write_content = str_replace(",",", ",$panel_footer_write_content);
	$panel_footer_write_content = preg_replace('/\s\s+/',' ',$panel_footer_write_content);
	$panel_footer_write_content = trim($panel_footer_write_content);
	$fp_panel_footer_txt = fopen("data/fonts/panel-footer.txt","w");
	fwrite($fp_panel_footer_txt,$panel_footer_write_content);
	fclose($fp_panel_footer_txt);
}

if (!isset($_POST['panel_footer']) or empty($_POST['panel_footer'])) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/panel-footer.txt")) {
			unlink("data/fonts/panel-footer.txt");
		}
	}
}

if (isset($_POST['body_size']) and is_numeric($_POST['body_size']) and !empty($_POST['body_size']) and (file_get_contents("data/fonts/body-size.txt") != $_POST['body_size']) and ($_POST['body_size'] != "11")) {
	$body_size_write_content = trim($_POST['body_size']);
	$fp_body_size_txt = fopen("data/fonts/body-size.txt","w");
	fwrite($fp_body_size_txt,$body_size_write_content);
	fclose($fp_body_size_txt);
}

if (!isset($_POST['body_size']) or empty($_POST['body_size']) or ($_POST['body_size'] == "11")) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/body-size.txt")) {
			unlink("data/fonts/body-size.txt");
		}
	}
}

if (isset($_POST['input_size']) and is_numeric($_POST['input_size']) and !empty($_POST['input_size']) and (file_get_contents("data/fonts/input-size.txt") != $_POST['input_size']) and ($_POST['input_size'] != "11")) {
	$input_size_write_content = trim($_POST['input_size']);
	$fp_input_size_txt = fopen("data/fonts/input-size.txt","w");
	fwrite($fp_input_size_txt,$input_size_write_content);
	fclose($fp_input_size_txt);
}

if (!isset($_POST['input_size']) or empty($_POST['input_size']) or ($_POST['input_size'] == "11")) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/input-size.txt")) {
			unlink("data/fonts/input-size.txt");
		}
	}
}

if (isset($_POST['panel_title_size']) and is_numeric($_POST['panel_title_size']) and !empty($_POST['panel_title_size']) and (file_get_contents("data/fonts/panel-title-size.txt") != $_POST['panel_title_size']) and ($_POST['panel_title_size'] != "12")) {
	$panel_title_size_write_content = trim($_POST['panel_title_size']);
	$fp_panel_title_size_txt = fopen("data/fonts/panel-title-size.txt","w");
	fwrite($fp_panel_title_size_txt,$panel_title_size_write_content);
	fclose($fp_panel_title_size_txt);
}

if (!isset($_POST['panel_title_size']) or empty($_POST['panel_title_size']) or ($_POST['panel_title_size'] == "12")) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/panel-title-size.txt")) {
			unlink("data/fonts/panel-title-size.txt");
		}
	}
}

if (isset($_POST['panel_body_size']) and is_numeric($_POST['panel_body_size']) and !empty($_POST['panel_body_size']) and (file_get_contents("data/fonts/panel-body-size.txt") != $_POST['panel_body_size']) and ($_POST['panel_body_size'] != "11")) {
	$panel_body_size_write_content = trim($_POST['panel_body_size']);
	$fp_panel_body_size_txt = fopen("data/fonts/panel-body-size.txt","w");
	fwrite($fp_panel_body_size_txt,$panel_body_size_write_content);
	fclose($fp_panel_body_size_txt);
}

if (!isset($_POST['panel_body_size']) or empty($_POST['panel_body_size']) or ($_POST['panel_body_size'] == "11")) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/panel-body-size.txt")) {
			unlink("data/fonts/panel-body-size.txt");
		}
	}
}

if (isset($_POST['panel_footer_size']) and is_numeric($_POST['panel_footer_size']) and !empty($_POST['panel_footer_size']) and (file_get_contents("data/fonts/panel-footer-size.txt") != $_POST['panel_footer_size']) and ($_POST['panel_footer_size'] != "10")) {
	$panel_footer_size_write_content = trim($_POST['panel_footer_size']);
	$fp_panel_footer_size_txt = fopen("data/fonts/panel-footer-size.txt","w");
	fwrite($fp_panel_footer_size_txt,$panel_footer_size_write_content);
	fclose($fp_panel_footer_size_txt);
}

if (!isset($_POST['panel_footer_size']) or empty($_POST['panel_footer_size']) or ($_POST['panel_footer_size'] == "10")) {
	if (isset($_POST['edit']) and ($_POST['edit'] == "on")) {
		if (file_exists("data/fonts/panel-footer-size.txt")) {
			unlink("data/fonts/panel-footer-size.txt");
		}
	}
}

?>

<title>Fonts</title>

<style>

body {
	color: #666666;
	margin: 5px 5px;
	padding: 0px;
	text-align: left;
	font-family: <?php
				if (file_exists("data/fonts/body.txt")) {
					$font_body = file_get_contents("data/fonts/body.txt");
					echo "{$font_body},";
				}
	?> arial, helvetica, sans-serif;
	background-color: #ffffff;
}

p, td {
	font-size: 11px;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link {
	color: <?php
			if (file_exists("data/colors/link.txt")) {
				readfile("data/colors/link.txt");
			}
			else {
				echo "#666666";
			}
	?>;
}

a:visited {
	color: <?php
			if (file_exists("data/colors/vlink.txt")) {
				readfile("data/colors/vlink.txt");
			}
			else {
				echo "#666666";
			}
	?>;
}

a:hover {
	color: <?php
			if (file_exists("data/colors/hover.txt")) {
				readfile("data/colors/hover.txt");
			}
			else {
				echo "#336699";
			}
	?>;
}

a:active {
	color: <?php
			if (file_exists("data/colors/hover.txt")) {
				readfile("data/colors/hover.txt");
			}
			else {
				echo "#336699";
			}
	?>;
}

#panel_title {
	font-family: <?php
				if (file_exists("data/fonts/panel-title.txt")) {
					$font_panel_title = file_get_contents("data/fonts/panel-title.txt");
					echo "{$font_panel_title},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 12px;
	font-weight: bold;
	color: <?php
		if (file_exists("data/colors/pt-font.txt")) {
			readfile("data/colors/pt-font.txt");
		}
		else {
			echo "#666666";
		}
	?>;

	padding: 5px 5px 5px 5px;
	background-color: <?php
				if (file_exists("data/colors/pt-bg.txt")) {
					readfile("data/colors/pt-bg.txt");
				}
				else {
					echo "transparent";
				}
	?>;
	margin: 0px;
	border-color: <?php
			if (file_exists("data/colors/border.txt")) {
				readfile("data/colors/border.txt");
			}
			else {
				echo "#CCCCCC";
			}
	?>;
	border-width: 1px 1px 0px 1px;
	border-style: solid solid none solid;
	width: 277px;
}

#panel_body {
	font-family: <?php
				if (file_exists("data/fonts/panel-body.txt")) {
					$font_panel_body = file_get_contents("data/fonts/panel-body.txt");
					echo "{$font_panel_body},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	color: <?php
			if (file_exists("data/colors/pb-font.txt")) {
				readfile("data/colors/pb-font.txt");
			}
			else {
				echo "#666666";
			}
	?>;

	padding: 5px 5px 5px 5px;
	background-color: <?php
				if (file_exists("data/colors/pb-bg.txt")) {
					readfile("data/colors/pb-bg.txt");
				}
				else {
					echo "transparent";
				}
	?>;
	margin: 0px;
	border-color: <?php
				if (file_exists("data/colors/border.txt")) {
					readfile("data/colors/border.txt");
				}
				else {
					echo "#CCCCCC";
				}
	?>;
	border-width: 1px 1px 1px 1px;
	border-style: solid solid solid solid;
	width: 277px; 
}

#panel_footer {
	font-family: <?php
				if (file_exists("data/fonts/panel-footer.txt")) {
					$font_panel_footer = file_get_contents("data/fonts/panel-footer.txt");
					echo "{$font_panel_footer},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	color: <?php
			if (file_exists("data/colors/pf-font.txt")) {
				readfile("data/colors/pf-font.txt");
			}
			else {
				echo "#666666";
			}
	?>;
	padding: 5px 5px 5px 5px;
	background-color: <?php
				if (file_exists("data/colors/pf-bg.txt")) {
					readfile("data/colors/pf-bg.txt");
				}
				else {
					echo "transparent";
				}
	?>;
	margin: 0px;
	border-color: <?php
				if (file_exists("data/colors/border.txt")) {
					readfile("data/colors/border.txt");
				}
				else {
					echo "#CCCCCC";
				}
	?>;
	border-width: 0px 1px 1px 1px;
	border-style: none solid solid solid;
	width: 277px; 
}

#panel_input { 	
	color: <?php
			if (file_exists("data/colors/border.txt")) {
				readfile("data/colors/border.txt");
			}
			else {
				echo "#666666";
			}
	?>; 
	background: #ffffff;
	border: <?php
			if (file_exists("data/colors/border.txt")) {
				readfile("data/colors/border.txt");
			}
			else {
				echo "#999999";
			}
	?> solid 1px;
	width: 277px;
	margin: 2px 0px 0px 0px;
	font-family: <?php
				if (file_exists("data/fonts/input.txt")) {
					$font_input = file_get_contents("data/fonts/input.txt");
					echo "{$font_input},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	padding: 2px 5px 2px 5px;
}

.input { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 289px; 
	font-family: <?php
				if (file_exists("data/fonts/input.txt")) {
					$font_input = file_get_contents("data/fonts/input.txt");
					echo "{$font_input},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px 
}

#panel_out {
	font-family: <?php
				if (file_exists("data/fonts/body.txt")) {
					$font_body = file_get_contents("data/fonts/body.txt");
					echo "{$font_body},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	color: <?php
			if (file_exists("data/colors/font.txt")) {
				readfile("data/colors/font.txt");
			}
			else {
				echo "#666666";
			}
	?>;
	padding: 5px 5px 5px 5px;
	background-color: <?php
			if (file_exists("data/colors/bg.txt") and !file_exists("images/background.gif") and !file_exists("images/background.jpg") and !file_exists("images/background.png")) {
				readfile("data/colors/bg.txt");
			}
			else {
				echo "transparent";
			}
	?>;
	margin: 0px;
	border-width: 0px 0px 0px 0px;
	border-style: solid solid solid solid;
}

</style>


<table border=0 cellspacing=10 cellpadding=2><tr><td>

<table border=0 cellspacing=1 cellpadding=10 bgcolor=#cccccc>
<tr><td<?php
	if (file_exists("images/background.gif") or file_exists("images/background.jpg") or file_exists("images/background.png")) {
		echo ' style="';
	}

	if (file_exists("images/background.gif") and !file_exists("images/background.jpg") and !file_exists("images/background.png")) { ?>background-image: url('images/background.gif');
		background-attachment: <?php if (file_exists("data/bg-scroll.txt")) { echo scroll; } else { echo fixed; } ?>;
		background-repeat: <?php if (file_exists("data/bg-repeat.txt")) { readfile("data/bg-repeat.txt"); } else { echo repeat; } ?>;
		background-position: <?php if (file_exists("data/bg-position.txt")) { readfile("data/bg-position.txt"); } else { echo "top left"; } ?>;
	<?php 
	}
	if (!file_exists("images/background.gif") and file_exists("images/background.jpg") and !file_exists("images/background.png")) { ?>background-image: url('images/background.jpg');
		background-attachment: <?php if (file_exists("data/bg-scroll.txt")) { echo scroll; } else { echo fixed; } ?>;
		background-repeat: <?php if (file_exists("data/bg-repeat.txt")) { readfile("data/bg-repeat.txt"); } else { echo repeat; } ?>;
		background-position: <?php if (file_exists("data/bg-position.txt")) { readfile("data/bg-position.txt"); } else { echo "top left"; } ?>;
	<?php 
	}
	if (!file_exists("images/background.gif") and !file_exists("images/background.jpg") and file_exists("images/background.png")) { ?>background-image: url('images/background.png');
		background-attachment: <?php if (file_exists("data/bg-scroll.txt")) { echo scroll; } else { echo fixed; } ?>;
		background-repeat: <?php if (file_exists("data/bg-repeat.txt")) { readfile("data/bg-repeat.txt"); } else { echo repeat; } ?>;
		background-position: <?php if (file_exists("data/bg-position.txt")) { readfile("data/bg-position.txt"); } else { echo "top left"; } ?>;
	<?php 
	} 

	if (file_exists("images/background.gif") or file_exists("images/background.jpg") or file_exists("images/background.png")) {
		echo '"';
	}

	echo ' bgcolor="';

	if (file_exists("data/colors/bg.txt")) {
		$bgcolor = file_get_contents("data/colors/bg.txt");
		if ($bgcolor == "transparent") {
			echo "#ffffff";
		}
		else {
			echo $bgcolor;
		}
	}
	else {
		echo "#ffffff";
	}

	echo '">';

 ?>

<div id=panel_out><b>Fonts</b> Preview</div>
<div id=panel_title>Panel Title</div>
<div id=panel_body><font style="font-size: 10px; color: #999999;">panel body</font><p>Enter your preferred fonts to override the defaults. You may specify more than one font, separated by commas, for each field. The following fonts are relatively web safe:</p><p>Arial<br>Arial Black<br>Comic Sans MS<br>Courier New<br>Georgia<br>Impact<br>Times New Roman<br>Trebuchet MS<br>Verdana<br>Courier<br>Helvetica<br>Times<br>Andale Mono<br>Bitstream Vera Sans<br>Bitstream Vera Sans Mono<br>Bitstream Vera Serif</p><p>While this serves as a convenient preview, fonts are actually applied immediately after submission.</p><p><a href=none.php>Hyperlink #1</a><br><a href="<?php echo $_SERVER['PHP_SELF']; ?>">Hyperlink #2</a><br><a href="<?php echo $_SERVER['PHP_SELF']; ?>">Hyperlink #3</a></p></div>
<div id=panel_footer><font style="font-size: 10px; color: <?php if (file_exists("data/colors/pf-font.txt")) { $color_pf_font = file_get_contents("data/colors/pf-font.txt"); if ($color_pf_font == "transparent") { echo "#ffffff"; } else { echo $color_pf_font; } } else { echo "#999999"; } ?>;">panel footer | <a href="<?php echo $_SERVER['PHP_SELF']; ?>">permalink</a></font></div>
<div id=panel_input>text input field</div>
<div id=panel_input><center>submit button</center></div>
</td></tr></table>

</td><td>

<form action=fonts.php method=post>
<input type=hidden name=edit value=on>
<table border=0 cellspacing=1 cellpadding=2 bgcolor=#cccccc>

<tr><td bgcolor=#ffffff align=center><b>target</b></td><td bgcolor=#ffffff align=center><b>font family</b></td><td bgcolor=#ffffff align=center><b>px</b></td></tr>

<tr>
<td bgcolor=#ffffff><p>body</p></td>
<td bgcolor=#ffffff><input autofocus type=text class=input name=body autocomplete=off<?php if (file_exists("data/fonts/body.txt")) {
	echo ' value="';
	readfile("data/fonts/body.txt");
	echo '"';
} ?>></td>
<td bgcolor=#ffffff><input type="text" class="input" name="body_size" style="width: 25px; text-align: center;" maxlength="2" autocomplete="off" value="<?php if (file_exists("data/fonts/body-size.txt")) {
	readfile("data/fonts/body-size.txt");
}
else {
	echo "11";
}
?>"></td>
</tr>

<tr><td bgcolor=#ffffff><p>input</p></td><td bgcolor=#ffffff><input type=text class=input name=input autocomplete=off<?php if (file_exists("data/fonts/input.txt")) {
	echo ' value="';
	readfile("data/fonts/input.txt");
	echo '"';
} ?>></td>
<td bgcolor=#ffffff><input type="text" class="input" name="input_size" style="width: 25px; text-align: center;" maxlength="2" autocomplete="off" value="<?php if (file_exists("data/fonts/input-size.txt")) {
	readfile("data/fonts/input-size.txt");
} 
else {
	echo "12";
}
?>"></td>
</tr>

<tr><td bgcolor=#ffffff><p>panel title</p></td><td bgcolor=#ffffff><input type=text class=input name=panel_title autocomplete=off<?php if (file_exists("data/fonts/panel-title.txt")) {
	echo ' value="';
	readfile("data/fonts/panel-title.txt");
	echo '"';
} ?>></td>
<td bgcolor=#ffffff><input type="text" class="input" name="panel_title_size" style="width: 25px; text-align: center;" maxlength="2" autocomplete="off" value="<?php if (file_exists("data/fonts/panel-title-size.txt")) {
	readfile("data/fonts/panel-title-size.txt");
} 
else {
	echo "12";
}
?>"></td>
</tr>

<tr><td bgcolor=#ffffff><p>panel body</p></td><td bgcolor=#ffffff><input type=text class=input name=panel_body autocomplete=off<?php if (file_exists("data/fonts/panel-body.txt")) {
	echo ' value="';
	readfile("data/fonts/panel-body.txt");
	echo '"';
} ?>></td>
<td bgcolor=#ffffff><input type="text" class="input" name="panel_body_size" style="width: 25px; text-align: center;" maxlength="2" autocomplete="off" value="<?php if (file_exists("data/fonts/panel-body-size.txt")) {
	readfile("data/fonts/panel-body-size.txt");
} 
else {
	echo "11";
}
?>"></td>
</tr>

<tr><td bgcolor=#ffffff><p>panel footer</p></td><td bgcolor=#ffffff><input type=text class=input name=panel_footer autocomplete=off<?php if (file_exists("data/fonts/panel-footer.txt")) {
	echo ' value="';
	readfile("data/fonts/panel-footer.txt");
	echo '"';
} ?>></td>
<td bgcolor=#ffffff><input type="text" class="input" name="panel_footer_size" style="width: 25px; text-align: center;" maxlength="2" autocomplete="off" value="<?php if (file_exists("data/fonts/panel-footer-size.txt")) {
	readfile("data/fonts/panel-footer-size.txt");
} 
else {
	echo "10";
}
?>"></td>
</tr>

<tr><td bgcolor=#ffffff rowspan=3><p></p></td><td bgcolor=#ffffff><input type=submit class=input value="click here to apply fonts"></td><td bgcolor=#ffffff rowspan=3><p></p></td></tr>
</form>
<form action=fonts.php method=post>
<input type=hidden name=reset value=go>
<tr><td bgcolor=#ffffff><input type=submit class=input value="click here to use default fonts"></td></tr>
</form>
<form action=index.php method=post>
<tr><td bgcolor=#ffffff><input type=submit class=input value="click here to go to the index page"></td></tr>
</form>
</table>


</td></tr></table>
