<?php

require("core.php");

if (file_exists("$maj_data_directory/lite.txt")) {
	exit();
}

if (!file_exists("$maj_data_directory/reg.txt")) {
	exit();
}

if (isset($_POST['go']) and ($_POST['go'] == "index")) {
	header("Location: .");
}

if (file_exists("$maj_data_directory/bb-min-age.txt")) {
	$minage = file_get_contents("$maj_data_directory/bb-min-age.txt");
}
else {
	$minage = 5;
}

if (file_exists("$maj_data_directory/bb-max-age.txt")) {
	$maxage = file_get_contents("$maj_data_directory/bb-max-age.txt");
}
else {
	$maxage = 125;
}

include("css.php");

?>

<title>Register</title>

<style>

body {
	margin: 10px;
}

.input { 	
	width: 300px; 
}

.bd { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 98px; 
	font-family: <?php
				if (file_exists("$maj_data_directory/fonts/input.txt")) {
					$font_input = file_get_contents("$maj_data_directory/fonts/input.txt");
					echo "$font_input,";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	font-weight: normal;
}

</style>

<?php

if (isset($_REQUEST['username']) and !empty($_REQUEST['username']) and isset($_REQUEST['key']) and !empty($_REQUEST['key']) and isset($_REQUEST['action']) and !empty($_REQUEST['action']) and mb_ereg('^[^./][^/]*$', $_REQUEST['username'])) {

	$username = trim(strip_tags($_REQUEST['username']));

	if (file_exists("$maj_data_directory/members/confirmed/$username") and ($_REQUEST['key'] == file_get_contents("$maj_data_directory/members/confirmed/$username/key.txt"))) {
		if ($_REQUEST['action'] == "approve") {
			unlink("$maj_data_directory/members/confirmed/$username/key.txt");
			$timestamp = date("YmdHis", time() + $maj_offset);
			$fp_timestamp_txt = fopen("$maj_data_directory/members/confirmed/$username/timestamp.txt","w");
			fwrite($fp_timestamp_txt,$timestamp);
			fclose($fp_timestamp_txt);
			if (!file_exists("$maj_data_directory/members/active")) {
				mkdir("$maj_data_directory/members/active");
			}
			rename("$maj_data_directory/members/confirmed/$username","$maj_data_directory/members/active/$username");

			$password = str_rand(16);
			
			/* Fun with crypt! */
			$passwd = sha1($password);
			$passwd = md5($passwd);
			$passwd = crypt($passwd, $passwd);

			$fp_passwd_txt = fopen("$maj_data_directory/members/active/$username/password.txt","w");
			fwrite($fp_passwd_txt,$passwd);
			fclose($fp_passwd_txt);

			$firstname = file_get_contents("$maj_data_directory/members/active/$username/firstname.txt");
			$lastname = file_get_contents("$maj_data_directory/members/active/$username/lastname.txt");
			$email = file_get_contents("$maj_data_directory/members/active/$username/email.txt");
			$from_email = file_get_contents("$maj_data_directory/email.txt");

			$sig_author = file_get_contents("$maj_data_directory/author.txt");

			$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
			$sig_url = str_replace('//', '/', $sig_url);
			$sig_url = "http://" . $sig_url;

			$registered_notice = "$firstname $lastname ($email), AKA $username, has been successfully registered at {$sig_url}.";
			//$registered_notice = wordwrap($registered_notice);

			$password_notice = "Hi $firstname,\n\nYour membership at $sig_url has been activated.\n\nThe initial password for \"$username\" is \"$password\" (case-sensitive). Please change this as soon as possible. For security reasons, your password on record is encrypted - you're the only one who knows what it is.\n\nIf you need further assistance, please send email to $from_email.\n\nThanks!\n\n--\n$sig_author\n$sig_url\n";
			//$password_notice = wordwrap($password_notice);

			$email_from = '"' . $sig_author . '" <' . $from_email . '>';
			$email_to =  '"' . "$firstname $lastname" . '" <' . $email . '>';

			mb_send_mail($email_from, "registration notice ($email)", $registered_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $maj_mailer");

			mb_send_mail($email_to, "password notice ($username)", $password_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $maj_mailer");

			$fp_new_txt = fopen("$maj_data_directory/bb-new.txt","w");
			fwrite($fp_new_txt,$username);
			fclose($fp_new_txt);

			echo "<font style=\"font-size: 12px;\"><b>Approved</b></font><br>The e-mail address ";
			readfile("$maj_data_directory/members/active/$username/email.txt");
			echo " has been registered.<br>Click <a href=index.php>here</a> to go to the index page.";
		}

		if ($_REQUEST['action'] == "deny") {
			rmdirr("$maj_data_directory/members/confirmed/$username");
			echo "<font style=\"font-size: 12px;\"><b>Denied</b></font><br>The e-mail address ";
			readfile("$maj_data_directory/members/active/$username/email.txt");
			echo " will not be registered.<br>Registration request deleted.<br>Click <a href=index.php>here</a> to go to the index page.";
		}

	}
	exit();
}

if (isset($_REQUEST['username']) and !empty($_REQUEST['username']) and isset($_REQUEST['key']) and !empty($_REQUEST['key']) and mb_ereg('^[^./][^/]*$', $_REQUEST['username'])) {

	$username = trim(strip_tags($_REQUEST['username']));

	if (file_exists("$maj_data_directory/members/pending/$username") and ($_REQUEST['key'] == file_get_contents("$maj_data_directory/members/pending/$username/key.txt"))) {

		$firstname = file_get_contents("$maj_data_directory/members/pending/$username/firstname.txt");
		$lastname = file_get_contents("$maj_data_directory/members/pending/$username/lastname.txt");
		$email = file_get_contents("$maj_data_directory/members/pending/$username/email.txt");
		$from_email = file_get_contents("$maj_data_directory/email.txt");

		$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
		$sig_url = str_replace('//', '/', $sig_url);
		$sig_url = "http://" . $sig_url;

		$sig_author = file_get_contents("$maj_data_directory/author.txt");

		unlink("$maj_data_directory/members/pending/$username/key.txt");

		$timestamp = date("YmdHis", time() + $maj_offset);

		$fp_timestamp_txt = fopen("$maj_data_directory/members/pending/$username/timestamp.txt","w");
		fwrite($fp_timestamp_txt,$timestamp);
		fclose($fp_timestamp_txt);

		if (!file_exists("$maj_data_directory/xapp.txt")) {
			if (!file_exists("$maj_data_directory/members/confirmed")) {
				mkdir("$maj_data_directory/members/confirmed");
			}
			rename("$maj_data_directory/members/pending/$username","$maj_data_directory/members/confirmed/$username");

			$key = str_rand(40);

			$fp_key_txt = fopen("$maj_data_directory/members/confirmed/$username/key.txt","w");
			fwrite($fp_key_txt,$key);
			fclose($fp_key_txt);

			$confirmation_notice = "$firstname $lastname, AKA $username, successfully confirmed the e-mail address $email for registration at {$sig_url}.\n\nVisit the link below to approve this registration:\n\n{$sig_url}reg.php?username=$username&key=$key&action=approve\n\nVisit the link below to deny this registration:\n\n{$sig_url}reg.php?username=$username&key=$key&action=deny\n\nYou can also approve or deny pending registration requests at a later time by logging on to your blog.";
			//$confirmation_notice = wordwrap($confirmation_notice);

			$email_from = '"' . $sig_author . '" <' . $from_email . '>';

			mb_send_mail($email_from, "confirmation notice ($email)", $confirmation_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $maj_mailer");
		}
		else {
			if (!file_exists("$maj_data_directory/members/active")) {
				mkdir("$maj_data_directory/members/active");
			}
			rename("$maj_data_directory/members/pending/$username","$maj_data_directory/members/active/$username");
			$registered_notice = "$firstname $lastname ($email), AKA $username, has been successfully registered at {$sig_url}.";
			//$registered_notice = wordwrap($registered_notice);

			$email_from = '"' . $sig_author . '" <' . $from_email . '>';

			mb_send_mail($email_from, "registration notice ($email)", $registered_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $maj_mailer");

			$password = str_rand(16);
			
			/* Fun with crypt! */
			$passwd = sha1($password);
			$passwd = md5($passwd);
			$passwd = crypt($passwd, $passwd);

			$fp_passwd_txt = fopen("$maj_data_directory/members/active/$username/password.txt","w");
			fwrite($fp_passwd_txt,$passwd);
			fclose($fp_passwd_txt);

			$firstname = file_get_contents("$maj_data_directory/members/active/$username/firstname.txt");
			$lastname = file_get_contents("$maj_data_directory/members/active/$username/lastname.txt");
			$email = file_get_contents("$maj_data_directory/members/active/$username/email.txt");
			$from_email = file_get_contents("$maj_data_directory/email.txt");

			$sig_author = file_get_contents("$maj_data_directory/author.txt");

			$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
			$sig_url = str_replace('//', '/', $sig_url);
			$sig_url = "http://" . $sig_url;

			$password_notice = "Hi $firstname,\n\nYour membership at $sig_url has been activated.\n\nThe initial password for \"$username\" is \"$password\" (case-sensitive). Please change this as soon as possible. For security reasons, your password on record is encrypted - you're the only one who knows what it is.\n\nIf you need further assistance, please send email to $from_email.\n\nThanks!\n\n--\n$sig_author\n$sig_url\n";
			//$password_notice = wordwrap($password_notice);

			$email_from = '"' . $sig_author . '" <' . $from_email . '>';
			$email_to =  '"' . "$firstname $lastname" . '" <' . $email . '>';

			mb_send_mail($email_to, "password notice ($username)", $password_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $maj_mailer");

			$fp_new_txt = fopen("$maj_data_directory/bb-new.txt","w");
			fwrite($fp_new_txt,$username);
			fclose($fp_new_txt);
			
		}

		echo "<font style=\"font-size: 12px;\"><b>Thanks!</b></font><br>You have successfully verified your e-mail address.<br>";

		if (file_exists("$maj_data_directory/xapp.txt")) {
			echo "You are now a registered member on this site.";
		}
		else {
			echo "Your membership will be activated as soon as your registration is approved.";
		}

		echo "<br><br>Click <a href=index.php>here</a> to go to the index page.";

	}

	exit();
}

if ($_POST['submit'] == "1") {

	$check_members = array_merge(glob("$maj_data_directory/members/active/*"),glob("$maj_data_directory/members/confirmed/*"),glob("$maj_data_directory/members/pending/*"));
	
	$err_reg = "0";

	if (!isset($_REQUEST['username']) or empty($_REQUEST['username'])) {
		$err_reg = $err_reg + 1;
		$err_username = "This field is required.";
		$err_username = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_username</td>";
	}
	else {
		$username = strip_tags($_REQUEST['username']);
		$username = htmlentities($username, ENT_QUOTES, 'UTF-8');
		$username = trim($username);
		$username = str_replace(" ","_",$username);
		$username = mb_strtolower($username);
		
		$err_username = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$username</td>";
	
		if (($username == "all") or mb_ereg('^\.', $username) or mb_ereg('\.$', $username) or mb_ereg('@', $username)) {
			$err_reg = $err_reg + 1;
			$err_username = "The username $username is not allowed on this site.";
			$err_username = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_username</td>";
		}

		if (preg_match("/\b$username\b/i", file_get_contents("$maj_data_directory/bb-reserved.txt"))) {
			$err_reg = $err_reg + 1;
			$err_username = "The username $username is reserved, please try again.";
			$err_username = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_username</td>";
		}

		if (file_exists("$maj_data_directory/members/pending/$username") or file_exists("$maj_data_directory/members/confirmed/$username") or file_exists("$maj_data_directory/members/active/$username") or ($username == file_get_contents("$maj_data_directory/username.txt"))) {
			$err_reg = $err_reg + 1;
			$err_username = "The username $username is already taken, please try again.";
			$err_username = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_username</td>";
		}
	}

	if (!isset($_REQUEST['firstname']) or empty($_REQUEST['firstname'])) {
		$err_reg = $err_reg + 1;
		$err_firstname = "This field is required.";
		$err_firstname = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_firstname</td>";
	}
	else {
		$firstname = strip_tags($_POST['firstname']);
		$firstname = htmlentities($firstname, ENT_QUOTES, 'UTF-8');
		$firstname = trim($firstname);
		$firstname = mb_strtolower($firstname);		
		$firstname = ucwords($firstname);
		
		$err_firstname = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$firstname</td>";
	}

	if (!isset($_REQUEST['lastname']) or empty($_REQUEST['lastname'])) {
		$err_reg = $err_reg + 1;
		$err_lastname = "This field is required.";
		$err_lastname = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_lastname</td>";
	}
	else {
		$lastname = strip_tags($_POST['lastname']);
		$lastname = htmlentities($lastname, ENT_QUOTES, 'UTF-8');
		$lastname = trim($lastname);
		$lastname = mb_strtolower($lastname);
		$lastname = ucwords($lastname);

		$err_lastname = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$lastname</td>";
	}
	
	if (isset($firstname) and isset($lastname)) {
	
		if ((mb_strtolower($firstname) . " " . mb_strtolower($lastname)) == mb_strtolower(file_get_contents("$maj_data_directory/author.txt"))) {
			$err_reg = $err_reg + 1;
			$err_firstname = "$firstname $lastname is already registered.";
			$err_firstname = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_firstname</td>";
			$err_lastname = $err_firstname;
		}
	
		foreach ($check_members as $check_member) {
		
			if ((mb_strtolower($firstname) == mb_strtolower(file_get_contents("$check_member/firstname.txt"))) and (mb_strtolower($lastname) == mb_strtolower(file_get_contents("$check_member/lastname.txt")))) {
				$err_reg = $err_reg + 2;
				$err_firstname = "$firstname $lastname is already registered.";
				$err_firstname = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_firstname</td>";
				$err_lastname = $err_firstname;
			}
		}
	}

	if (!isset($_POST['email']) or empty($_POST['email'])) {
		$err_reg = $err_reg + 1;
		$err_email = "This field is required.";
		$err_email = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_email</td>";
	}
	else {	
		$email = strip_tags($_POST['email']);
		$email = htmlentities($email, ENT_QUOTES, 'UTF-8');
		$email = trim($email);
		$email = mb_strtolower($email);
		$email = str_replace(" ","",$email);

		$err_email = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$email</td>";

		if (!mb_ereg("@", $email) or !mb_ereg("\.", $email) or mb_ereg('^\.', $email) or mb_ereg('\.$', $email)) {
			$err_reg = $err_reg + 1;
			$err_email = "The email address $email is invalid.";
			$err_email = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_email</td>";
		}

		if (preg_match("/\b$email\b/i", file_get_contents("$maj_data_directory/bb-banned.txt"))) {
			$err_reg = $err_reg + 1;
			$err_email = "The email address $email is not allowed on this site.";
			$err_email = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_email</td>";
		}
		
		if ($email == file_get_contents("$maj_data_directory/email.txt")) {
			$err_reg = $err_reg + 1;
			$err_email = "The email address $email is already in use.";
			$err_email = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_email</td>";
		}
		
		foreach ($check_members as $check_member) {
		
			if ($email == file_get_contents("$check_member/email.txt")) {
				$err_reg = $err_reg + 1;
				$err_email = "The email address $email is already in use.";
				$err_email = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_email</td>";				
			}
		}
	}
	
	if (file_exists("$maj_data_directory/bb-tel.txt") and (!isset($_POST['tel']) or empty($_POST['tel']))) {
		$err_reg = $err_reg + 1;
		$err_tel = "This field is required.";
		$err_tel = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_tel</td>";
	}
	else {	
		$tel = strip_tags($_POST['tel']);
		$tel = htmlentities($tel, ENT_QUOTES, 'UTF-8');
		$tel = trim($tel);

		$tel = preg_replace('/[^0-9+]/i','',$tel);

		if (preg_match("/^\+/",$tel)) {

			$tel = preg_replace('/[^0-9]/i','',$tel);
			$tel = '+' . $tel;
		}
		else {
			$tel = preg_replace('/[^0-9]/i','',$tel);
		}

		$err_tel = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$tel</td>";

		if (file_exists("$maj_data_directory/bb-tel.txt") and (mb_strlen(preg_replace("/[^0-9]/","", $tel)) < 7)) {
			$err_reg = $err_reg + 1;
			$err_tel = "The mobile number $tel is invalid.";
			$err_tel = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_tel</td>";
		}
	}

	if (file_exists("$maj_data_directory/bb-org.txt") and (!isset($_POST['org']) or empty($_POST['org']))) {
		$err_reg = $err_reg + 1;
		$err_org = "This field is required.";
		$err_org = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_org</td>";
	}
	else {
		$org = trim(strip_tags($_POST['org']));
		$org = htmlentities($org, ENT_QUOTES, 'UTF-8');
		$org = format_title_put($org);
		$err_org = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$org</td>";
	}

	if (!isset($_POST['bd_year']) or empty($_POST['bd_year']) or !isset($_POST['bd_month']) or empty($_POST['bd_month']) or !isset($_POST['bd_day']) or empty($_POST['bd_day']) or !is_numeric($_POST['bd_year']) or !is_numeric($_POST['bd_month']) or !is_numeric($_POST['bd_day'])or (mb_strlen($_POST['bd_year']) > "4") or (mb_strlen($_POST['bd_month']) > "2") or (mb_strlen($_POST['bd_day']) > "2") or ($_POST['bd_month'] < 1) or ($_POST['bd_month'] > 12) or ($_POST['bd_day'] < 1) or ($_POST['bd_day'] > 31) or (date("Y", time() + $maj_offset) < $_POST['bd_year']) or ((date("Y", time() + $maj_offset) == $_POST['bd_year']) and (date("m", time() + $maj_offset) < $_POST['bd_month'])) or ((date("Y", time() + $maj_offset) == $_POST['bd_year']) and (date("m", time() + $maj_offset) == $_POST['bd_month']) and (date("d", time() + $maj_offset) < $_POST['bd_day']))) {
		$err_reg = $err_reg + 1;
		$err_bday = "The date you entered is invalid.";
		$err_bday = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_bday</td>";
	}
	else {
		if ((date("m", time() + $maj_offset) == $_POST['bd_month']) and (date("d", time() + $maj_offset) == $_POST['bd_day'])) {
			$err_bday = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>Happy Birthday!</td>";
		}
		else {
			$err_bday = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>{$_POST['bd_year']} {$_POST['bd_month']} {$_POST['bd_day']}</td>";
		}
		
		if ((date("Y", time() + $maj_offset) - $_POST['bd_year']) > $maxage) {
			$err_reg = $err_reg + 1;
			$err_bday = "You are too old.";
			$err_bday = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_bday</td>";
		}
	
		if ((date("Y", time() + $maj_offset) - $_POST['bd_year']) < $minage) {
			$err_reg = $err_reg + 1;
			$err_bday = "You are too young.";
			$err_bday = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_bday</td>";
		}
	}

	if (!isset($_POST['country']) or empty($_POST['country'])) {
		$err_reg = $err_reg + 1;
		$err_country = "This field is required.";
		$err_country = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_country</td>";
	}
	else {
		$country = trim(strip_tags($_POST['country']));
		$country = mb_strtoupper($country);
		$err_country = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$country</td>";
	}

	if (!isset($_POST['city']) or empty($_POST['city'])) {
		$err_reg = $err_reg + 1;
		$err_city = "This field is required.";
		$err_city = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_city</td>";
	}
	else {
		$city = strip_tags($_POST['city']);
		$city = htmlentities($city, ENT_QUOTES, 'UTF-8');
		$city = trim($city);
		$city = mb_strtolower($city);
		$city = ucwords($city);

		$err_city = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$city</td>";
	}

	if (!isset($_POST['captcha_get']) or empty($_POST['captcha_get']) or !isset($_POST['captcha_put']) or empty($_POST['captcha_put'])) {
		$err_reg = $err_reg + 1;
		$err_captcha = "This field is required.";
		$err_captcha = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_captcha</td>";
	}
	else {
		if ($_POST['captcha_get'] != $_POST['captcha_put']) {

			$err_reg = $err_reg + 1;
		
			if (file_exists("$maj_data_directory/scaptcha.txt")) {
				$err_captcha = "The solution you entered is incorrect.";
			}
			else {
				$err_captcha = "The registration code you entered is incorrect.";
			}
	
			$err_captcha = "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>$err_captcha</td>";
		}

		if ($_POST['captcha_get'] == $_POST['captcha_put']) {
			$err_captcha = "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>{$_POST['captcha_put']}</td>";
		}
	}

	if ($err_reg < 1) {

		if (!file_exists("$maj_data_directory/members")) {
			mkdir("$maj_data_directory/members");
		}

		if (!file_exists("$maj_data_directory/members/pending")) {
			mkdir("$maj_data_directory/members/pending");
		}
	
		mkdir("$maj_data_directory/members/pending/$username");

		$fp_firstname_txt = fopen("$maj_data_directory/members/pending/$username/firstname.txt","w");
		fwrite($fp_firstname_txt,$firstname);
		fclose($fp_firstname_txt);

		$fp_lastname_txt = fopen("$maj_data_directory/members/pending/$username/lastname.txt","w");
		fwrite($fp_lastname_txt,$lastname);
		fclose($fp_lastname_txt);

		$fp_email_txt = fopen("$maj_data_directory/members/pending/$username/email.txt","w");
		fwrite($fp_email_txt,$email);
		fclose($fp_email_txt);
		
		if (file_exists("$maj_data_directory/bb-tel.txt") and isset($tel) and !empty($tel)) {

			$fp_mobile_txt = fopen("$maj_data_directory/members/pending/$username/tel.txt","w");
			fwrite($fp_mobile_txt,$tel);
			fclose($fp_mobile_txt);		
		}
		
		if (file_exists("$maj_data_directory/bb-org.txt") and isset($org) and !empty($org)) {

			$fp_org_txt = fopen("$maj_data_directory/members/pending/$username/org.txt","w");
			fwrite($fp_org_txt,$org);
			fclose($fp_org_txt);		
		}		
		
		$bday = $_POST['bd_year'] . $_POST['bd_month'] . $_POST['bd_day'];
		$fp_bday_txt = fopen("$maj_data_directory/members/pending/$username/bday.txt","w");
		fwrite($fp_bday_txt,$bday);
		fclose($fp_bday_txt);

		if (isset($_POST['url']) and !empty($_POST['url']) and (mb_ereg("\.", $_POST['url']))) {
			$url = str_replace('http://', '', $_POST['url']);
			$url = mb_strtolower($url);
			$url = trim($url);
			$url = 'http://' . $url;
			$url = str_replace(" ","",$url);
			$url = htmlentities($url, ENT_QUOTES, 'UTF-8');
			$fp_url_txt = fopen("$maj_data_directory/members/pending/$username/url.txt","w");
			fwrite($fp_url_txt,$url);
			fclose($fp_url_txt);
		}

		$fp_country_txt = fopen("$maj_data_directory/members/pending/$username/country.txt","w");
		fwrite($fp_country_txt,$country);
		fclose($fp_country_txt);

		$fp_city_txt = fopen("$maj_data_directory/members/pending/$username/city.txt","w");
		fwrite($fp_city_txt,$city);
		fclose($fp_city_txt);

		$key = str_rand(40);

		$fp_key_txt = fopen("$maj_data_directory/members/pending/$username/key.txt","w");
		fwrite($fp_key_txt,$key);
		fclose($fp_key_txt);

		$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
		$sig_url = str_replace('//', '/', $sig_url);
		$sig_url = "http://" . $sig_url;

		$sig_author = file_get_contents("$maj_data_directory/author.txt");
		$from_email = file_get_contents("$maj_data_directory/email.txt");

		$confirm_thanks = "Hi $firstname,\n\nWe have received a registration request for $email to $sig_url. To confirm this, simply visit this link:\n\n{$sig_url}reg.php?username=$username&key=$key\n\nIf you do not wish to be a member, please disregard this message. If you think you are being maliciously registered, or have any other questions, send them to $from_email.\n\nThanks!\n\n--\n$sig_author\n$sig_url\n";
		//$confirm_thanks = wordwrap($confirm_thanks);

		$email_from = '"' . $sig_author . '" <' . $from_email . '>';
		$email_to =  '"' . "$firstname $lastname" . '" <' . $email . '>';

		mb_send_mail($email_to, "confirm $key", $confirm_thanks,
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $maj_mailer");

		unset($err_username);
		unset($err_firstname);
		unset($err_lastname);
		unset($err_email);
		unset($err_tel);
		unset($err_org);
		unset($err_bday);
		unset($err_country);
		unset($err_city);
		unset($err_captcha);
		
		echo "<font style=\"font-size: 12px;\"><b>Thanks!</b></font><p>Your registration request was successfully submitted. Check your $email inbox for details.<br>You can register another e-mail address below or click <a href=index.php>here</a> to go to the index page.</p>";
	}
}

?>

<b>Register</b>

<?php

if (!file_exists("$maj_data_directory/scaptcha.txt")) {

	$captcha_rand = str_rand(7);

	echo "<p>Complete all required fields and enter <b>$captcha_rand</b> as your registration code below.</p>";
}
else {
	$scaptcha_x = rand(1,10);
	$scaptcha_y = rand(1,10);
	$scaptcha_z = rand(1,10);	

	$captcha_rand = $scaptcha_x + $scaptcha_y + $scaptcha_z;

	echo "<p>Complete all required fields and solve the simple equation below.</p>";
}

if ($err_reg == 1) {
	echo "<p>$err_reg error detected, please try again.</p>";
}

if ($err_reg > 1) {
	echo "</p>$err_reg errors detected, please try again.</p>";
}

if (file_exists("$maj_data_directory/bb-disclaimer.txt")) {
	echo "<p>";
	readfile("$maj_data_directory/bb-disclaimer.txt");
	echo "</p>";
}

?>

<table border="0" cellspacing="2" cellpadding="0">
<form enctype="multipart/form-data" method="post">
<input type=hidden name=captcha_get value="<?php echo $captcha_rand; ?>">
<tr><td width="100">Username</td><td colspan="3"><input required autofocus class="input" type="text" autocomplete="off" name="username" maxlength="30"></td><?php echo $err_username; ?></tr>
<tr><td width="100">First Name</td><td width="300" colspan="3"><input required class="input" type="text" autocomplete="off" name="firstname" maxlength="30"></td><?php echo $err_firstname; ?></tr>
<tr><td width="100">Last Name</td><td colspan="3"><input required class="input" type="text" autocomplete="off" name="lastname" maxlength="30"></td><?php echo $err_lastname; ?></tr>
<tr><td width="100">E-mail Address</td><td colspan="3"><input required class="input" type="email" autocomplete="off" name="email" maxlength="60"></td><?php echo $err_email; ?></tr>

<?php

if (file_exists("$maj_data_directory/bb-tel.txt")) {

	echo "<tr><td width=\"100\">Mobile Number</td><td colspan=\"3\"><input required class=\"input\" type=\"tel\" autocomplete=\"off\" name=\"tel\" maxlength=\"30\"></td>$err_tel</tr>";
}

if (file_exists("$maj_data_directory/bb-org.txt")) {

	echo "<tr><td width=\"100\">Company or School</td><td colspan=\"3\"><input required class=\"input\" type=\"text\" autocomplete=\"off\" name=\"org\" maxlength=\"60\"></td>$err_org</tr>";
}

?>

<tr><td width="100">Birthdate</td><td><input required class="bd" type="text" autocomplete="off" name="bd_year" maxlength="4" value="YYYY"></td><td><input required class="bd" type="text" autocomplete="off" name="bd_month" maxlength="2" value="MM"></td><td><input required class="bd" type="text" autocomplete="off" name="bd_day" maxlength="2" value="DD"></td><?php echo $err_bday; ?></tr>
<tr><td width="100">Website (optional)</td><td colspan="3"><input class="input" type="url" autocomplete="off" name="url" maxlength="300"></td></tr>

<tr><td width="100">Country</td><td colspan=3>

<select class="input" name="country" required>
<option value=""></option>
<option value="AF">Afghanistan</option>
<option value="AX">Aland (Ahvenanmaa) Islands</option>
<option value="AL">Albania</option>
<option value="DZ">Algeria</option>
<option value="AS">American Samoa</option>
<option value="AD">Andorra</option>
<option value="AO">Angola</option>
<option value="AI">Anguilla</option>
<option value="AQ">Antarctica</option>
<option value="AG">Antigua & Barbuda</option>
<option value="AR">Argentina</option>
<option value="AM">Armenia</option>
<option value="AW">Aruba</option>
<option value="AU">Australia</option>
<option value="AT">Austria</option>
<option value="AZ">Azerbaijan</option>
<option value="BS">Bahamas</option>
<option value="BH">Bahrain</option>
<option value="BD">Bangladesh</option>
<option value="BB">Barbados</option>
<option value="BY">Belarus</option>
<option value="BE">Belgium</option>
<option value="BZ">Belize</option>
<option value="BJ">Benin</option>
<option value="BM">Bermuda</option>
<option value="BT">Bhutan</option>
<option value="BO">Bolivia</option>
<option value="BA">Bosnia & Herzegovina</option>
<option value="BW">Botswana</option>
<option value="BV">Bouvet Island</option>
<option value="BR">Brazil</option>
<option value="IO">British Indian Ocean Territory</option>
<option value="BN">Brunei Darussalam</option>
<option value="BG">Bulgaria</option>
<option value="BF">Burkina Faso</option>
<option value="BI">Burundi</option>
<option value="KH">Cambodia</option>
<option value="CM">Cameroon</option>
<option value="CA">Canada</option>
<option value="CV">Cape Verde</option>
<option value="KY">Cayman Islands</option>
<option value="CF">Central African Republic</option>
<option value="TD">Chad</option>
<option value="CL">Chile</option>
<option value="CN">China</option>
<option value="CX">Christmas Island</option>
<option value="CC">Cocos (Keeling) Islands</option>
<option value="CO">Colombia</option>
<option value="KM">Comoros</option>
<option value="CG">Congo</option>
<option value="CD">Congo (Democratic Republic)</option>
<option value="CK">Cook Islands</option>
<option value="CR">Costa Rica</option>
<option value="CI">Cote D'Ivoire</option>
<option value="HR">Croatia</option>
<option value="CU">Cuba</option>
<option value="CY">Cyprus</option>
<option value="CZ">Czech Republic</option>
<option value="DK">Denmark</option>
<option value="DJ">Djibouti</option>
<option value="DM">Dominica</option>
<option value="DO">Dominican Republic</option>
<option value="EC">Ecuador</option>
<option value="EG">Egypt</option>
<option value="SV">El Salvador</option>
<option value="GQ">Equatorial Guinea</option>
<option value="ER">Eritrea</option>
<option value="EE">Estonia</option>
<option value="ET">Ethiopia</option>
<option value="FK">Falkland Islands (Malvinas)</option>
<option value="FO">Faroe Islands</option>
<option value="FJ">Fiji</option>
<option value="FI">Finland</option>
<option value="FR">France</option>
<option value="GF">French Guiana</option>
<option value="PF">French Polynesia</option>
<option value="TF">French Southern Territories</option>
<option value="GA">Gabon</option>
<option value="GM">Gambia</option>
<option value="GE">Georgia</option>
<option value="DE">Germany</option>
<option value="GH">Ghana</option>
<option value="GI">Gibraltar</option>
<option value="GR">Greece</option>
<option value="GL">Greenland</option>
<option value="GD">Grenada</option>
<option value="GP">Guadeloupe</option>
<option value="GU">Guam</option>
<option value="GT">Guatemala</option>
<option value="GG">Guernsey</option>
<option value="GN">Guinea</option>
<option value="GW">Guinea-Bissau</option>
<option value="GY">Guyana</option>
<option value="HT">Haiti</option>
<option value="HM">Heard Island & Mcdonald Islands</option>
<option value="VA">Holy See (Vatican City State)</option>
<option value="HN">Honduras</option>
<option value="HK">Hong Kong</option>
<option value="HU">Hungary</option>
<option value="IS">Iceland</option>
<option value="IN">India</option>
<option value="ID">Indonesia</option>
<option value="IR">Iran (Islamic Republic)</option>
<option value="IQ">Iraq</option>
<option value="IE">Ireland</option>
<option value="IM">Isle Of Man</option>
<option value="IL">Israel</option>
<option value="IT">Italy</option>
<option value="JM">Jamaica</option>
<option value="JP">Japan</option>
<option value="JE">Jersey</option>
<option value="JO">Jordan</option>
<option value="KZ">Kazakhstan</option>
<option value="KE">Kenya</option>
<option value="KI">Kiribati</option>
<option value="KP">Korea (Democratic People's Republic)</option>
<option value="KR">Korea (Republic)</option>
<option value="KW">Kuwait</option>
<option value="KG">Kyrgyzstan</option>
<option value="LA">Laos</option>
<option value="LV">Latvia</option>
<option value="LB">Lebanon</option>
<option value="LS">Lesotho</option>
<option value="LR">Liberia</option>
<option value="LY">Libyan Arab Jamahiriya</option>
<option value="LI">Liechtenstein</option>
<option value="LT">Lithuania</option>
<option value="LU">Luxembourg</option>
<option value="MO">Macao</option>
<option value="MK">Macedonia (Yugoslav Republic)</option>
<option value="MG">Madagascar</option>
<option value="MW">Malawi</option>
<option value="MY">Malaysia</option>
<option value="MV">Maldives</option>
<option value="ML">Mali</option>
<option value="MT">Malta</option>
<option value="MH">Marshall Islands</option>
<option value="MQ">Martinique</option>
<option value="MR">Mauritania</option>
<option value="MU">Mauritius</option>
<option value="YT">Mayotte</option>
<option value="MX">Mexico</option>
<option value="FM">Micronesia (Federated States)</option>
<option value="MD">Moldova (Republic)</option>
<option value="MC">Monaco</option>
<option value="MN">Mongolia</option>
<option value="MS">Montserrat</option>
<option value="MA">Morocco</option>
<option value="MZ">Mozambique</option>
<option value="MM">Myanmar</option>
<option value="NA">Namibia</option>
<option value="NR">Nauru</option>
<option value="NP">Nepal</option>
<option value="NL">Netherlands</option>
<option value="AN">Netherlands Antilles</option>
<option value="NC">New Caledonia</option>
<option value="NZ">New Zealand</option>
<option value="NI">Nicaragua</option>
<option value="NE">Niger</option>
<option value="NG">Nigeria</option>
<option value="NU">Niue</option>
<option value="NF">Norfolk Island</option>
<option value="MP">Northern Mariana Islands</option>
<option value="NO">Norway</option>
<option value="OM">Oman</option>
<option value="PK">Pakistan</option>
<option value="PW">Palau</option>
<option value="PS">Palestinian Territory</option>
<option value="PA">Panama</option>
<option value="PG">Papua New Guinea</option>
<option value="PY">Paraguay</option>
<option value="PE">Peru</option>
<option value="PH">Philippines</option>
<option value="PN">Pitcairn</option>
<option value="PL">Poland</option>
<option value="PT">Portugal</option>
<option value="PR">Puerto Rico</option>
<option value="QA">Qatar</option>
<option value="RE">Reunion</option>
<option value="RO">Romania</option>
<option value="RU">Russian Federation</option>
<option value="RW">Rwanda</option>
<option value="SH">Saint Helena</option>
<option value="KN">Saint Kitts & Nevis</option>
<option value="LC">Saint Lucia</option>
<option value="PM">Saint Pierre & Miquelon</option>
<option value="VC">Saint Vincent & The Grenadines</option>
<option value="WS">Samoa</option>
<option value="SM">San Marino</option>
<option value="ST">Sao Tome & Principe</option>
<option value="SA">Saudi Arabia</option>
<option value="SN">Senegal</option>
<option value="CS">Serbia & Montenegro</option>
<option value="SC">Seychelles</option>
<option value="SL">Sierra Leone</option>
<option value="SG">Singapore</option>
<option value="SK">Slovakia</option>
<option value="SI">Slovenia</option>
<option value="SB">Solomon Islands</option>
<option value="SO">Somalia</option>
<option value="ZA">South Africa</option>
<option value="GS">South Georgia & The South Sandwich Islands</option>
<option value="ES">Spain</option>
<option value="LK">Sri Lanka</option>
<option value="SD">Sudan</option>
<option value="SR">Suriname</option>
<option value="SJ">Svalbard & Jan Mayen</option>
<option value="SZ">Swaziland</option>
<option value="SE">Sweden</option>
<option value="CH">Switzerland</option>
<option value="SY">Syrian Arab Republic</option>
<option value="TW">Taiwan</option>
<option value="TJ">Tajikistan</option>
<option value="TZ">Tanzania (United Republic)</option>
<option value="TH">Thailand</option>
<option value="TL">Timor-Leste</option>
<option value="TG">Togo</option>
<option value="TK">Tokelau</option>
<option value="TO">Tonga</option>
<option value="TT">Trinidad & Tobago</option>
<option value="TN">Tunisia</option>
<option value="TR">Turkey</option>
<option value="TM">Turkmenistan</option>
<option value="TC">Turks & Caicos Islands</option>
<option value="TV">Tuvalu</option>
<option value="UG">Uganda</option>
<option value="UA">Ukraine</option>
<option value="AE">United Arab Emirates</option>
<option value="GB">United Kingdom</option>
<option value="US">United States</option>
<option value="UM">United States Minor Outlying Islands</option>
<option value="UY">Uruguay</option>
<option value="UZ">Uzbekistan</option>
<option value="VU">Vanuatu</option>
<option value="VE">Venezuela</option>
<option value="VN">Vietnam</option>
<option value="VG">Virgin Islands (British)</option>
<option value="VI">Virgin Islands (US)</option>
<option value="WF">Wallis & Futuna</option>
<option value="EH">Western Sahara</option>
<option value="YE">Yemen</option>
<option value="ZM">Zambia</option>
<option value="ZW">Zimbabwe</option>
</select>

</td><?php echo $err_country; ?></tr>

<tr><td width="100">City or Municipality</td><td colspan="3"><input required class="input" type="text" autocomplete="off" name="city" maxlength="100"></td><?php echo $err_city; ?></tr>

<tr><td width="100"><?php

if (!file_exists("$maj_data_directory/scaptcha.txt")) {
	echo "Registration Code";
}
else {
	echo "$scaptcha_x + $scaptcha_y + $scaptcha_z =";
}

?></td><td colspan="3"><input required class="input" type="text" autocomplete="off" name="captcha_put" maxlength="7"></td><?php echo $err_captcha; ?></tr>
<tr><td></td><td colspan="3"><input type="hidden" name="submit" value="1"><input class="click" type="submit" value="click here to submit your registration"></td></tr>
</form>
<form enctype="multipart/form-data" method="post">
<tr><td></td><td colspan="3"><input type="hidden" name="go" value="index"><input class="click" type="submit" value="click here to go to the index page"></td></tr>
</form>
